#include "IntegNew.h"

void IntegNew::setEpsilon(double nb){epsilon=nb;}

void IntegNew::integ(Obj& o,function<Vect(double,Vect,Vect)> const& f){
    Vect x(o.getX());
    Vect dx(o.getdx());
    Vect chi2(f(t,o.getX(),o.getdx()));
    Vect chi,xi;
    do{
        xi=x;
        chi = f(t,x,dx);
        dx = o.getdx() + (dt/2)*(chi+chi2);
        x = o.getX() + dt * o.getdx() + (dt*dt/3)*(0.5*chi + chi2);
    }while( (x-xi)||false >= epsilon*epsilon );

    o.setX(x);
    o.setdx(dx);
    //MOMENT
};
