#ifndef PRJ_PORTAL_H
#define PRJ_PORTAL_H

#include "Obj.h"

class Portal:public Obj{
    private:
        Portal* link;
        double size;//le portal est une petite surface que l'on peut traverser, norme de ang = taille du portal
            // la collision entraine un dplacement dans l'autre portal
    public:
        Portal(Portal&,Vect const& pos, Vect const& ang, double size);
		
		//collision
		void collide(Obj& other);
		void collide(Ball& other) ;
		void collide(Parallelepiped& other) ;
		void collide(Portal& other) ;
		void collide(Button& other) ;

};

#endif
