#include "VectField.h"

void VectField::setPos(Vect const&v){pos=v;}
void VectField::setV(Vect const&v){(*this).v=v;}

Vect VectField::getPos()const{return pos;}
Vect VectField::getV() const{return v;}


void VectField::act(MObj& o){
    o.addF(v);
}
void VectField::act(vector<MObj>& vO){
    for(size_t i=0;i<vO.size();i++){
        (*this).act(vO[i]);
    }
}


//CONSTR---
VectField::VectField(Vect const& v,Vect const& pos):v(v),pos(pos){}
