#ifndef PRJ_BALL_H
#define PRJ_BALL_H

#include "Obj.h"
#include "Force.h"

using namespace std;


class Ball: virtual public Obj{
protected:
	double r;//rayon

public:
	void setR(double const& newR,bool const& conservMassV=false);
	void setM(double const& newM,bool const& conservMassV=false);

	double getR() const;
	double getMv() const;
	double getVolume() const;

	virtual Vect supportPoint (Vect const& direction);

	void merge(Ball const& b);
	//!methode pour merger deux balles ?
	//!methode pour casser une balle en n balles ?

	virtual ostream& cdisp(ostream& out);
	virtual void disp(vector<bool> options);
	virtual ~Ball(){}
	//CONSTR---
	//Ball(size_t const& dim=0,double const& rayon=0,double const& masse=0.1);
	Ball(Vect const& x,double const& rayon,double const& masse,Vect const& dx=Vect(0));
};

class BallCG: public Ball, public ObjCG {
public:
	BallCG(set<Obj*> & tabObj,set<ObjC*> & tabCharg,Vect const& pos,double const& mass,double const& rayon,double const& charg=0, Vect const& dx=Vect(3));
	virtual void disp(vector<bool> options);
	virtual ostream& cdisp(ostream& out);
	virtual ~BallCG(){}
	Ball::supportPoint;
};

#endif //PRJ_BALL_H
