#include "Collision.h"


bool Collision::soundState(){return SOUND;}

void Collision::force(){
if(SOUND){
	for(auto obj1 : (*tabObj) ){
		for(auto obj2:(*tabObj)){
			if(obj1<obj2){	//permet d'intéragir qu'une seule fois avec le même obj pointé, en comprant la valeur des adresses
				Vect direction ( (*obj2).getX() - (*obj1).getX() );
				direction = direction.normalize();

				Vect dist( obj2->supportPoint(-direction) - obj1->supportPoint(direction) );

				if( (direction*dist)<0){//} && collisionTable[obj1][obj2] ){//détection de collision pour des objets considérés spheriques

					Vect ddist=obj2->getdxAbs( obj2->supportPoint(-direction) ) - obj1->getdxAbs( obj1->supportPoint(direction) );

					Vect f=dist*1000. + 5.* ddist.project(direction); // force de collision
					
					Vect ffrott = 10.*ddist.reject(direction);

					Vect posForce((obj2->getX()+obj1->getX())/2.);

					obj1->addFWorldCoord(ffrott,posForce);
					obj2->addFWorldCoord(-ffrott,posForce);				

					(*obj1).addFObjCoord(f);
					(*obj2).addFObjCoord(-f);
					(*obj2).collision=true;
					(*obj1).collision=true;

					//for(size_t i=0;i<CHANNELCOUNT;i++){
							if(soundChannelTime[0]<0){
								int choice = (int)rand(0.95,15);
								if(choice==0) system ("./Play clean_sound.wav&");
								else if(choice==1) system ("./Play collision_sound_1.wav&");
								else if(choice==2) system ("./Play collision_sound_2.wav&");
								else if(choice==3) system ("./Play collision_sound_3.wav&");
								else if(choice==4) system ("./Play collision_sound_4.wav&");
								else if(choice==5) system ("./Play collision_sound_5.wav&");
								else if(choice==6) system ("./Play collision_sound_6.wav&");
								else if(choice==7) system ("./Play collision_sound_7.wav&");
								else if(choice==8) system ("./Play collision_sound_8.wav&");
								else if(choice==9) system ("./Play collision_sound_9.wav&");
								else if(choice==10) system ("./Play collision_sound_10.wav&");
								else if(choice==11) system ("./Play collision_sound_11.wav&");
								else if(choice==12) system ("./Play collision_sound_12.wav&");
								else if(choice==13) system ("./Play collision_sound_13.wav&");
								else if(choice==14) system ("./Play collision_sound_14.wav&");
								//string instr = "./Play clean_sound.wav&";
								//system (instr.c_str());
								soundChannelTime[0]=20;
						//		break;
						//	}
					}
				}
			}
		}
	}
}else{
	for(auto obj1 : (*tabObj) ){
		for(auto obj2:(*tabObj)){
			if(obj1<obj2){	//permet d'intéragir qu'une seule fois avec le même obj pointé, en comprant la valeur des adresses
				Vect direction ( (*obj2).getX() - (*obj1).getX() );
				direction = direction.normalize();

				Vect dist( obj2->supportPoint(-direction) - obj1->supportPoint(direction) );

				if( (direction*dist)<0){//} && collisionTable[obj1][obj2] ){//détection de collision pour des objets considérés spheriques

					Vect ddist=obj2->getdxAbs( obj2->supportPoint(-direction) ) - obj1->getdxAbs( obj1->supportPoint(direction) );

					Vect f=dist*1000. + 5.* ddist.project(direction); // force de collision
					
					Vect ffrott = 10.*ddist.reject(direction);

					Vect posForce((obj2->getX()+obj1->getX())/2.);

					obj1->addFWorldCoord(ffrott,posForce);
					obj2->addFWorldCoord(-ffrott,posForce);				

					(*obj1).addFObjCoord(f);
					(*obj2).addFObjCoord(-f);
					(*obj2).collision=true;
					(*obj1).collision=true;
				}
			}
		}
	}
}
	for(size_t i=0;i<CHANNELCOUNT;i++){
		if(soundChannelTime[i]>-1)soundChannelTime[i] -= 1;
	}
}

void Collision::swtichSound(){SOUND=!SOUND;}


Collision::Collision(set<Obj*>& newtab,map<Obj*,map<Obj*, bool> >& newcollisionTable):soundChannelTime(CHANNELCOUNT,0){
	tabObj=&newtab;
	collisionTable=newcollisionTable;
	SOUND=true;
}
