#ifndef PRJ_COLLISION_H
#define PRJ_COLLISION_H

#include "Force.h"
#include "Obj.h"
#include <map>
#include <wx/sound.h>

const int CHANNELCOUNT=1;

class Collision:public Force{
public:
	void force();
	Collision(set<Obj*>& tabObj,map<Obj*,map<Obj*, bool> >& collisionTable);
	void swtichSound();
	bool soundState();
private:
	vector<int> soundChannelTime;
	set<Obj*>* tabObj;
	map<Obj*,map<Obj*, bool> > collisionTable;
	bool SOUND;
};

#endif