

#include "Constrain.h"


void ConstrainDist::constrain(){
	//bouger virtuellement
	//mesurer l'erreur
	//addF avec λ*
	
	vector<tuple<Obj*,Obj*,Vect,Vect,double > > tabConstrain;
	set<Obj*> setObj;
}
































void ConstrainPoint::constrain(){
		vector< vector < double > > Sx( tabSigma.size(), vector <tabSigma.size(),0 >);
	vector< vector < double > > Sy( tabSigma.size(), vector <tabSigma.size(),0 >);
	vector< vector < double > > Sz( tabSigma.size(), vector <tabSigma.size(),0 >);

	Obj* alpha,* beta;
	function<double(Obj , Obj) sigma;
	function<double(Obj , Obj) dsigmaAlpha;
	function<double(Obj , Obj) dsigmaBeta;
	Obj* alphaK,* betaK;
	
	for(int i=0;i<tabSigma.size();i++){
		for(int k=0 ; k<tabSigma.size() ;k++){			
			tie(sigma, alpha, beta ,dsigmaAlpha,dsigmaBeta) = tabSigma[i];
			tie(sigma, alphaK, betaK ,dsigmaAlpha,dsigmaBeta) = tabSigma[k];

			if(alpha==alphaK){
				Sx[i][k] += dsigmaAlpha(alphaK,betaK).get(0)*alpha.getM();
				Sy[i][k] += dsigmaAlpha(alphaK,betaK).get(1)*alpha.getM();
				Sz[i][k] += dsigmaAlpha(alphaK,betaK).get(2)*alpha.getM();
			}
			if(alpha==betaK){
				Sx[i][k] += dsigmaBeta(alphaK,betaK).get(0)*alpha.getM();
				Sy[i][k] += dsigmaBeta(alphaK,betaK).get(1)*alpha.getM();
				Sz[i][k] += dsigmaBeta(alphaK,betaK).get(2)*alpha.getM();
			}
			if(beta==betaK){
				Sx[i][k] -= dsigmaBeta(alphaK,betaK).get(0)*beta.getM();
				Sy[i][k] -= dsigmaBeta(alphaK,betaK).get(1)*beta.getM();
				Sz[i][k] -= dsigmaBeta(alphaK,betaK).get(2)*beta.getM();
			}
			if(beta==alphaK){
				Sx[i][k] -= dsigmaAlpha(alphaK,betaK).get(0)*beta.getM();
				Sy[i][k] -= dsigmaAlpha(alphaK,betaK).get(1)*beta.getM();
				Sz[i][k] -= dsigmaAlpha(alphaK,betaK).get(2)*beta.getM();
			}
		}
	}

	double ITERATION=3;
	vector<double> lambda;

	//trouver Lambda
	for(int n=0;n<ITERATION;n++){
		vector<vector<double> > J(tabSigma.size(), vector <tabSigma.size(),0 >);
		for(int i=0;i<J.size();i++){
			for(int j=0;j<J[i].size();j++){
				//Jacobien cf http://en.wikipedia.org/wiki/Constraint_algorithm
				double Jx,Jy,Jz;
				Jx+=alpha->getX().get(0);
				for(int k=0;k<tabSigma.size();k++){
					Jx+=lambda[k]*(Sx[i][k] - Sx[i][k]);
				}
				Jx*=2*(Sx[i][j] -Sx[i][j]);

				Jy+=alpha->getX().get(0);
				for(int k=0;k<tabSigma.size();k++){
					Jy+=lambda[k]*(Sx[i][k] - Sx[i][k]);
				}
				Jy*=2*(Sx[i][j] -Sx[i][j]);

				Jz+=alpha->getX().get(0);
				for(int k=0;k<tabSigma.size();k++){
					Jz+=lambda[k]*(Sx[i][k] - Sx[i][k]);
				}
				Jz*=2*(Sx[i][j] -Sx[i][j]);

				J[i][j]= Jx+Jy+Jz;
				//------------------------
			}
		}
	for(){

	}

	Matrix Jacobien(J);
/////////////	lambda= (lambda-  Jacobien.getInv()*) PAS FINI
	}

}