#include "OpenGLView.h"


void OpenGLView::cameraTerminal(){
	if(selectTool[2]==0)cam.PanelBackground(1);
	else cam.PanelBackground(2);

	while(selectTool[0]<0)selectTool[0]+=5;
	selectTool[0]=(int)selectTool[0]%5;


	if(selectTool[0]==0){
		//selectTool[2]=0;
		string cameraHelpstr="- camera - setting -";			
		cameraHelpstr+="\n-                  -";
		cameraHelpstr+="\n--------------------";
		cameraHelpstr+="\n-mouse control :   -";
		cameraHelpstr+="\n-   ctrl+m(on-off) -";
		cameraHelpstr+="\n--------------------";
		cameraHelpstr+="\n-fullscreen :      -";
		cameraHelpstr+="\n-   Ctrl+f         -";
		cameraHelpstr+="\n--------------------";
		cameraHelpstr+="\n-stereoscopy :     -";
		cameraHelpstr+="\n-   ctrl+i(on-off) -";
		cameraHelpstr+="\n-   ctrl+u,o(focus)-";
		cameraHelpstr+="\n--------------------";
		cameraHelpstr+="\n-perspective :     -";
		cameraHelpstr+="\n-   ctrl+k,l       -";
		cameraHelpstr+="\n--------------------";
		cameraHelpstr+="\n-motion Blur :     -";
		cameraHelpstr+="\n-   ctrl+b,n       -";
		cameraHelpstr+="\n--------------------";
		cameraHelpstr+="\n-Compass :         -";
		cameraHelpstr+="\n-   ctrl+j         -";
		cameraHelpstr+="\n--------------------";
		cameraHelpstr+="\n-DispMod :         -";
		cameraHelpstr+="\n-   N M b v        -";
		cameraHelpstr+="\n- v remplace le mod-";
		cameraHelpstr+="\n- console          -";
		cameraHelpstr+="\n--------------------";
		cameraHelpstr+="\n-reset camera :    -";
		cameraHelpstr+="\n-   CTRL+R         -";
		cameraHelpstr+="\n--------------------";
		string otherHelpstr="-otherKey - setting-";
		otherHelpstr+="\n--------------------";
		otherHelpstr+="\n-camera move :     -";
		otherHelpstr+="\n-   q w e     ^    -";
		otherHelpstr+="\n-   a s d   < v >  -";
		otherHelpstr+="\n-SHIFT=BOOST       -";
		otherHelpstr+="\n-CTRL=SLOW         -";
		otherHelpstr+="\n--------------------";
		otherHelpstr+="\n-physic            -";
		otherHelpstr+="\n-   ctrl+p(on-off) -";
		otherHelpstr+="\n--------------------";
		otherHelpstr+="\n-navigate terminal -";
		otherHelpstr+="\n-   u i o          -";
		otherHelpstr+="\n-   j k l          -";
		otherHelpstr+="\n--------------------";
		otherHelpstr+="\n-select left panel -";
		otherHelpstr+="\n-   u              -";
		otherHelpstr+="\n-(menu mode)       -";
		otherHelpstr+="\n--------------------";
		otherHelpstr+="\n-select right panel-";
		otherHelpstr+="\n-   o              -";
		otherHelpstr+="\n-(option mode)     -";
		otherHelpstr+="\n--------------------";
		otherHelpstr+="\n-enter             -";
		otherHelpstr+="\n--------------------";
		otherHelpstr+="\n-sound effect      -";
		otherHelpstr+="\n-   CTRL+H         -";
		otherHelpstr+="\n--------------------";
		otherHelpstr+="\n-integration dt :  -";
		otherHelpstr+="\n-   CTRL+T,Z       -";
		otherHelpstr+="\n--------------------";
		string titlestr="----------";
		titlestr+="\n---HELP---";
		titlestr+="\n----------";
		cam.setLeftPanel(cameraHelpstr);
		cam.setRightPanel(otherHelpstr);
		cam.setTitle(titlestr);
		//selectTool[1]=0;
		//selectTool[2]=0;
	}
	else if(selectTool[0]==1){
		string LEFT;
		string RIGHT;
		int NombrePanel=4;
		while(selectTool[1]<0)selectTool[1]+=NombrePanel;
		selectTool[1]=(int)selectTool[1]%NombrePanel;

		if(selectTool[1]==0){
			LEFT+=  "--------------------";				
			LEFT+="\n-add sphere        -";				
			LEFT+="\n--------------------";				
			LEFT+="\n-                  -";				
			LEFT+="\n-   ,dP9CGG8@b,    -";				
			LEFT+="\n- ,IP  YICCG88@@b, -";				
			LEFT+="\n dIi   ,IICGG888@b  ";				
			LEFT+="\ndCIIiciIICCGG888@@b ";				
			LEFT+="\nGCCIIIICCCGGG888@@@ ";				
			LEFT+="\nGGGCCCCCGGGG8888@@@ ";				
			LEFT+="\nGGGGCCCGGGGG8888@@@ ";				
			LEFT+="\nGGGGGGGGGGGG8888@@@.";				
			LEFT+="\nY8GGGGGG888888@@@@P.";				
			LEFT+="\n Y8888888888@@@@@P..";				
			LEFT+="\n-`Y888888@@@@@@@P.. ";				
			LEFT+="\n-   `@@@@@@@@P....  ";				
			LEFT+="\n-       .......    -";				
			LEFT+="\n-                  -";				
			LEFT+="\n--------------------";				
			
			RIGHT+=  "--------------------";
			RIGHT+="\n-options :         -";
			RIGHT+="\n--------------------";
			RIGHT+="\n-";
			int compter=-1;
			compter++;RIGHT+="\n-";if(selectTool[3]==compter)RIGHT+="->";RIGHT+="mass  :"+	toString(selectTool[10+compter]/10.);
			compter++;RIGHT+="\n-";if(selectTool[3]==compter)RIGHT+="->";RIGHT+="size  :"+	toString(selectTool[10+compter]/10.);
			compter++;RIGHT+="\n-";if(selectTool[3]==compter)RIGHT+="->";RIGHT+="dX/dt :"+	toString(selectTool[10+compter]/10.);
			compter++;RIGHT+="\n-";if(selectTool[3]==compter)RIGHT+="->";RIGHT+="dy/dt :"+	toString(selectTool[10+compter]/10.);
			compter++;RIGHT+="\n-";if(selectTool[3]==compter)RIGHT+="->";RIGHT+="dz/dt :"+	toString(selectTool[10+compter]/10.);
			compter++;RIGHT+="\n-";if(selectTool[3]==compter)RIGHT+="->";RIGHT+="charge:"+	toString(selectTool[10+compter]/100.);
			compter++;RIGHT+="\n-";if(selectTool[3]==compter)RIGHT+="->";RIGHT+="grav  :"+	toString((int)(selectTool[10+compter]))	+"     0 or 1"; if(selectTool[10+compter]<=0)selectTool[10+compter]=0;else selectTool[10+compter]=1;
			compter++;RIGHT+="\n-";if(selectTool[3]==compter)RIGHT+="->";RIGHT+="show T:"+	toString((int)(selectTool[10+compter]))	+"     0 or 1"; if(selectTool[10+compter]<=0)selectTool[10+compter]=0;else selectTool[10+compter]=1;
			compter++;RIGHT+="\n-";if(selectTool[3]==compter)RIGHT+="->";RIGHT+="";
			compter++;RIGHT+="\n-";if(selectTool[3]==compter)RIGHT+="->";RIGHT+="";
			compter++;RIGHT+="\n-";if(selectTool[3]==compter)RIGHT+="->";RIGHT+="";
			compter++;RIGHT+="\n-";if(selectTool[3]==compter)RIGHT+="->";RIGHT+="";
			compter++;RIGHT+="\n-";if(selectTool[3]==compter)RIGHT+="->";RIGHT+="";
			compter++;RIGHT+="\n-";
			compter++;RIGHT+="\n--------------------";
														
		}
		if(selectTool[1]==1){
			LEFT+=  "--------------------";
			LEFT+="\n-add force         -";
			LEFT+="\n--------------------";
			LEFT+="\n-                  -";
			LEFT+="\n-          ,/      -";
			LEFT+="\n-        ,//       -";
			LEFT+="\n-      ,/ /        -";
			LEFT+="\n-    ,/  /_____,   -";
			LEFT+="\n-   /____    ,/    -";
			LEFT+="\n-       /  ,/      -";
			LEFT+="\n-      / ,/        -";
			LEFT+="\n-     /,/          -";
			LEFT+="\n-    /             -";
			LEFT+="\n-                  -";
			LEFT+="\n--------------------";
			LEFT;
			RIGHT+=  "--------------------";
			RIGHT+="\n-options :         -";
			RIGHT+="\n--------------------";
			RIGHT+="\n-                  -";
			RIGHT+="\n-Obj1              -";
			RIGHT+="\n-obj2              -";
			RIGHT+="\n-                  -";
			RIGHT+="\n--------------------";
		}
		if(selectTool[1]==2){
			LEFT+=  "--------------------";
			LEFT+="\n-generate pendulum -";
			LEFT+="\n--------------------";
			LEFT+="\n-                  -";
			LEFT+="\n-          ,//     -";
			LEFT+="\n-          ,//     -";
			LEFT+="\n-        ,//       -";
			LEFT+="\n-        ,//       -";
			LEFT+="\n-      ,//         -";
			LEFT+="\n-      ,//         -";
			LEFT+="\n-     ((           -";
			LEFT+="\n-    ((            -";
			LEFT+="\n-     ((           -";
			LEFT+="\n-      \\\\          -";
			LEFT+="\n-      \\\\          -";
			LEFT+="\n-        ))        -";
			LEFT+="\n-       /BB\\\\      -";
			LEFT+="\n-       \\\\BB/      -";
			LEFT+="\n-                  -";
			LEFT+="\n-                  -";
			LEFT+="\n--------------------";
			LEFT;
			RIGHT+=  "--------------------";
			RIGHT+="\n-options :         -";
			RIGHT+="\n--------------------";
			RIGHT+="\n-                  -";
			RIGHT+="\n-deform            -";
			RIGHT+="\n-mass              -";
			RIGHT+="\n-position          -";
			RIGHT+="\n-                  -";
			RIGHT+="\n-                  -";
			RIGHT+="\n--------------------";
		}
		if(selectTool[1]==3){
			LEFT+=  "--------------------";
			LEFT+="\n-generate bloc     -";
			LEFT+="\n--------------------";
			LEFT+="\n-                  -";
			LEFT+="\n-   ^/^/^/^/^/^/   -";
			LEFT+="\n-   /^/^/^/^/^/^   -";
			LEFT+="\n-   ^/^/^/^/^/^/   -";
			LEFT+="\n-   /^/^/^/^/^/^   -";
			LEFT+="\n-   ^/^/^/^/^/^/   -";
			LEFT+="\n-   /^/^/^/^/^/^   -";
			LEFT+="\n-   ^/^/^/^/^/^/   -";
			LEFT+="\n-   /^/^/^/^/^/^   -";
			LEFT+="\n-   ^/^/^/^/^/^/   -";
			LEFT+="\n-   /^/^/^/^/^/^   -";
			LEFT+="\n-   ^/^/^/^/^/^/   -";
			LEFT+="\n-   /^/^/^/^/^/^   -";
			LEFT+="\n-   ^/^/^/^/^/^/   -";
			LEFT+="\n-   /^/^/^/^/^/^   -";
			LEFT+="\n-                  -";
			LEFT+="\n--------------------";
			LEFT;
			RIGHT+=  "--------------------";
			RIGHT+="\n-options :         -";
			RIGHT+="\n--------------------";
			RIGHT+="\n-";//"                  -";
			int compter=-1;
			compter++;RIGHT+="\n-";if(selectTool[3]==compter)RIGHT+="->";RIGHT+="mass  :"+	toString(selectTool[10+compter]/10.);
			compter++;RIGHT+="\n-";if(selectTool[3]==compter)RIGHT+="->";RIGHT+="dist  :"+	toString(selectTool[10+compter]/10.);
			compter++;RIGHT+="\n-";if(selectTool[3]==compter)RIGHT+="->";RIGHT+="dX/dt :"+	toString(selectTool[10+compter]/10.);
			compter++;RIGHT+="\n-";if(selectTool[3]==compter)RIGHT+="->";RIGHT+="dy/dt :"+	toString(selectTool[10+compter]/10.);
			compter++;RIGHT+="\n-";if(selectTool[3]==compter)RIGHT+="->";RIGHT+="dz/dt :"+	toString(selectTool[10+compter]/10.);
			compter++;RIGHT+="\n-";if(selectTool[3]==compter)RIGHT+="->";RIGHT+="x     :"+	toString(selectTool[10+compter]);
			compter++;RIGHT+="\n-";if(selectTool[3]==compter)RIGHT+="->";RIGHT+="y     :"+	toString(selectTool[10+compter]);
			compter++;RIGHT+="\n-";if(selectTool[3]==compter)RIGHT+="->";RIGHT+="z     :"+	toString(selectTool[10+compter]);
			compter++;RIGHT+="\n-";if(selectTool[3]==compter)RIGHT+="->";RIGHT+="block :"+	toString(selectTool[10+compter])	+"     0 1 or 2";if(selectTool[10+compter]<=0)selectTool[10+compter]=0; else if(selectTool[10+compter]>=2)selectTool[10+compter]=2;
			compter++;RIGHT+="\n-";if(selectTool[3]==compter)RIGHT+="->";RIGHT+="mesh  :"+	toString(selectTool[10+compter])	+"     0 1 or 2";if(selectTool[10+compter]<=0)selectTool[10+compter]=0; else if(selectTool[10+compter]>=2)selectTool[10+compter]=2;
			compter++;RIGHT+="\n-";if(selectTool[3]==compter)RIGHT+="->";RIGHT+="";
			compter++;RIGHT+="\n-";if(selectTool[3]==compter)RIGHT+="->";RIGHT+="";
			compter++;RIGHT+="\n-";if(selectTool[3]==compter)RIGHT+="->";RIGHT+="";
			compter++;RIGHT+="\n-";
			compter++;RIGHT+="\n--------------------";
			RIGHT+="\n--------------------";
		}
		string titlestr="----------";
		titlestr+="\n--NEWOBJ--";
		titlestr+="\n----------";
		cam.setLeftPanel(LEFT);
		cam.setRightPanel(RIGHT);
		cam.setTitle(titlestr);
	}














	if(selectTool[0]==2){
		string LEFT;
		string RIGHT;
		LEFT+=  "--------------------";
		LEFT+="\n-obj list          -";
		LEFT+="\n--------------------";
		LEFT+="\n-                  -";
		LEFT+="\n-                  -";
		LEFT+="\n-                  -";
		LEFT+="\n-                  -";
		LEFT+="\n-                  -";
		LEFT+="\n-                  -";
		LEFT+="\n-                  -";
		LEFT+="\n-                  -";
		LEFT+="\n-                  -";
		LEFT+="\n-                  -";
		LEFT+="\n-                  -";
		LEFT+="\n-                  -";
		LEFT+="\n-                  -";
		LEFT+="\n-                  -";
		LEFT+="\n-                  -";
		LEFT+="\n-                  -";
		LEFT+="\n-                  -";
		LEFT+="\n-                  -";
		LEFT+="\n-                  -";
		LEFT+="\n-                  -";
		LEFT+="\n-                  -";
		LEFT+="\n-                  -";
		LEFT+="\n-                  -";
		LEFT+="\n-                  -";
		LEFT+="\n--------------------";
		RIGHT+=  "--------------------";
		RIGHT+="\n-options :         -";
		RIGHT+="\n--------------------";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n--------------------";

		string titlestr="----------";
		titlestr+="\n---EDIT---";
		titlestr+="\n----------";
		cam.setLeftPanel(LEFT);
		cam.setRightPanel(RIGHT);
		cam.setTitle(titlestr);
	}












	if(selectTool[0]==3){
		string LEFT;
		string RIGHT;
		LEFT+=  "--------------------";
		LEFT+="\n-SAVE              -";
		LEFT+="\n--------------------";
		LEFT+="\n-                  -";
		LEFT+="\n-                  -";
		LEFT+="\n-                  -";
		LEFT+="\n-                  -";
		LEFT+="\n-                  -";
		LEFT+="\n-                  -";
		LEFT+="\n-                  -";
		LEFT+="\n- SAVE             -";
		LEFT+="\n- NOT WORKING YET  -";
		LEFT+="\n-                  -";
		LEFT+="\n-                  -";
		LEFT+="\n-                  -";
		LEFT+="\n- BUT              -";
		LEFT+="\n-  YOU CAN PLAY    -";
		LEFT+="\n-     WITH THESE   -";
		LEFT+="\n-        PRESETS   -";
		LEFT+="\n-     (PRESS O TO  -";
		LEFT+="\n-      GET TO THE  -";
		LEFT+="\n-      RIGHT PANEL)-";
		LEFT+="\n-  AND THE EDITOR !-";
		LEFT+="\n-                  -";
		LEFT+="\n-                  -";
		LEFT+="\n-                  -";
		LEFT+="\n-                  -";
		LEFT+="\n--------------------";
		RIGHT+=  "--------------------";
		RIGHT+="\n-LOAD              -";
		RIGHT+="\n--------------------";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-TEST PRESETS :    -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-";if(selectTool[3]==0)RIGHT+="->";RIGHT+="test preset :"+	toString(selectTool[9]);
		RIGHT+="\n-";if(selectTool[3]==1)RIGHT+="->";//RIGHT+="pendul  :"+	toString(selectTool[10+1]);
		RIGHT+="\n-";if(selectTool[3]==2)RIGHT+="->";//RIGHT+="mesh    :"+	toString(selectTool[10+2]);
		RIGHT+="\n-";if(selectTool[3]==3)RIGHT+="->";//RIGHT+="y:"+			toString((int)(selectTool[10+3]*10));
		RIGHT+="\n-";if(selectTool[3]==4)RIGHT+="->";//RIGHT+="z:"+			toString((int)(selectTool[10+4]*10));
		RIGHT+="\n-";if(selectTool[3]==5)RIGHT+="->";//RIGHT+=""+				toString((int)(selectTool[10+5]*10));
		RIGHT+="\n-";if(selectTool[3]==6)RIGHT+="->";//RIGHT+=""+				toString((int)(selectTool[10+6]*10));
		RIGHT+="\n-";if(selectTool[3]==7)RIGHT+="->";//RIGHT+="mesh :"+		toString((int)(selectTool[10+7]*10));
		RIGHT+="\n-";if(selectTool[3]==8)RIGHT+="->";//RIGHT+="";
		RIGHT+="\n-";if(selectTool[3]==9)RIGHT+="->";//RIGHT+="";
		RIGHT+="\n-";if(selectTool[3]==10)RIGHT+="->";//RIGHT+="";
		RIGHT+="\n-";if(selectTool[3]==11)RIGHT+="->";//RIGHT+="";
		RIGHT+="\n-";if(selectTool[3]==12)RIGHT+="->";//RIGHT+="";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n--------------------";
		string titlestr="----------";
		titlestr+="\n-LOAD-SAV-";
		titlestr+="\n----------";
		cam.setLeftPanel(LEFT);
		cam.setRightPanel(RIGHT);
		cam.setTitle(titlestr);
	}













	if(selectTool[0]==4){
		string LEFT;
		string RIGHT;
		LEFT+=  "--------------------";
		LEFT+="\n-world values      -";
		LEFT+="\n--------------------";
		LEFT+="\n-                  -";
		LEFT+="\n-physic = ";simulationOn?LEFT+="ON":LEFT+="OFF";
		LEFT+="\n-                  -";
		LEFT+="\n--------------------";
		LEFT+="\n-stereoscopy = ";stereoscopy?LEFT+="ON  -":LEFT+="OFF -";
		LEFT+="\n-focus = "+toString(cam.getFocus());
		LEFT+="\n-                  -";
		LEFT+="\n--------------------";
		LEFT+="\n-motionBlur = "+toString(1-cam.getMotionBlur());
		LEFT+="\n-                  -";
		LEFT+="\n--------------------";
		LEFT+="\n-perspective = "+toString(cam.getPerspective());
		LEFT+="\n-                  -";
		LEFT+="\n--------------------";
		LEFT+="\n-mousemod = ";mouseMod?LEFT+="ON":LEFT+="OFF";
		LEFT+="\n-                  -";
		LEFT+="\n--------------------";
		LEFT+="\n-compassmod = "+toString(cam.getCompassState());
		LEFT+="\n-                  -";
		LEFT+="\n--------------------";
		LEFT+="\n-CTRL +            -";
		LEFT+="\n-  UIO P LK J M NB -";
		LEFT+="\n-shortcut : help   -";
		LEFT+="\n-                  -";
		LEFT+="\n--------------------";
		RIGHT+=  "--------------------";
		RIGHT+="\n-options :         -";
		RIGHT+="\n--------------------";
		RIGHT+="\n-                  -";
		RIGHT+="\n-follow            -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n-                  -";
		RIGHT+="\n--------------------";
		string titlestr="----------";
		titlestr+="\n--OPTION--";
		titlestr+="\n----------";
		cam.setLeftPanel(LEFT);
		cam.setRightPanel(RIGHT);
		cam.setTitle(titlestr);
	}
}


void OpenGLView::draw(wxPaintEvent&){
	if (!GetContext()) return;
	SetCurrent();
	
	//glAccum(GL_RETURN, 0.95);
  //glClear(GL_ACCUM_BUFFER_BIT);
  
	glEnable(GL_DEPTH_TEST);
	glDepthFunc(GL_LESS);
	glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
//  glClear(GL_COLOR_BUFFER_BIT);
//  glClear(GL_DEPTH_BUFFER_BIT);

//!  for(int renderCountx=0;renderCountx<2;renderCountx++){
//!  for(int renderCounty=0;renderCounty<2;renderCounty++){
//! 	int w, h;
//!    GetClientSize(&w, &h);
//!    glViewport(renderCountx*w/2,renderCounty*h/2,w/2, h/2);

	cameraTerminal();

	cam.look();//place la caméra

	for(int i=0;i<1;i++){
		glMatrixMode(GL_PROJECTION);
		glPushMatrix();
		glTranslated(-cam.getX().get(0),-cam.getX().get(1),-cam.getX().get(2));

		if(i>0)glRotated(rand(-1,1),rand(-1,1),rand(-1,1),rand(-1,1));


		if(i==0)glRotated(0,0,0,0);

		else if(i==1)glRotated(+.5,0,0,1);
		else if(i==2)glRotated(-.5,0,0,1);

		else if(i==3)glRotated(+.5,0,1,0);
		else if(i==4)glRotated(-.5,0,1,0);
		
		else if(i==5)glRotated(+.5,1,0,0);
		else if(i==6)glRotated(-.5,1,0,0);
		
		else if(i==7)glRotated(+1,0,1,1);
		else if(i==8)glRotated(-1,0,1,1);

		else if(i==9)glRotated(+1,1,0,1);
		else if(i==10)glRotated(-1,1,0,1);
		
		else if(i==11)glRotated(+.5,1,1,1);
		else if(i==12)glRotated(-.5,1,1,1);

		glTranslated(cam.getX().get(0),cam.getX().get(1),cam.getX().get(2));
		//glTranslated(rand(-1,1),rand(-1,1),rand(-1,1));
		

		glMatrixMode(GL_MODELVIEW);//part du système de coordonnées de base
		glLoadIdentity();//(dessin à l'origine : matrice identité)
			//---STEREO
			if(stereoscopy){
				cam.ApplyLeftFrustum();
				glColorMask(true, false, false, false);// bloque Green et Blue et Transparence
				//universe.disp();
				mainSys.disp({dispInformation,dispFace,EPILEPTIK,infoPLUS});
				
				// glClear(GL_DEPTH_BUFFER_BIT) ;
				
				cam.ApplyRightFrustum();
				glColorMask(false, true, true, false);//bloque Red et Transparence
				//universe.disp();
				mainSys.disp({dispInformation,dispFace,EPILEPTIK,infoPLUS});
				
				glColorMask(true, true, true, true);
			}else {
				//universe.disp();
				mainSys.disp({dispInformation,dispFace,EPILEPTIK,infoPLUS});
			}
		//THIS PART HAD BEEN COMMENTED IN 2014
		//THIS PART HAD BEEN COMMENTED IN 2014
		//THIS PART HAD BEEN COMMENTED IN 2014
		// glAccum(GL_MULT, cam.getMotionBlur());
		// glAccum(GL_ACCUM, 1.-cam.getMotionBlur());
		// glAccum(GL_RETURN, 1.0);
		//THIS PART HAD BEEN COMMENTED IN 2014
		//THIS PART HAD BEEN COMMENTED IN 2014
		//THIS PART HAD BEEN COMMENTED IN 2014
		glMatrixMode(GL_PROJECTION);
		glPopMatrix();

	}

	//glEnable(GL_BLEND);
	//glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);

/*				glBindFramebuffer(GL_READ_FRAMEBUFFER, _fbo_color);
				glBindFramebuffer(GL_DRAW_FRAMEBUFFER, _fbo_z);
				glBlitFramebuffer(0,0,_w, _h, 0, 0, _w, _h, GL_DEPTH_BUFFER_BIT, GL_NEAREST);
				glGenerateMipmap(GL_TEXTURE_2D);

				glBindFramebuffer(GL_FRAMEBUFFER, 0);

				// This works:
				// Select mipmap level 3
				glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_BASE_LEVEL, 3);
				glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_MAX_LEVEL, 3);

				draw_depth_texture_on_screen_aligned_quad();

				// Reset mipmap
				glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_BASE_LEVEL, 0);
				glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_MAX_LEVEL, 1000);*/
	/*glAccum(GL_MULT, 0.50);
	glAccum(GL_ACCUM, 0.50);
	glAccum(GL_RETURN, 1.0);
	*/
//!	}}// RENDER COUNT
	glFlush();
	SwapBuffers();
}

void OpenGLView::OnSize(wxSizeEvent& event){
  wxGLCanvas::OnSize(event);// Nécessaire pour mettre à jour le contexte sur certaines plateformes
  if (GetContext()) {
    // set GL viewport (not called by wxGLCanvas::OnSize on all platforms...)
    int w, h;
    GetClientSize(&w, &h);
    SetCurrent();
    glViewport(0, 0, (GLint) w, (GLint) h);
    cam.setmAspectRatio(w*1./h);
  }
}


void OpenGLView::OnMouseButton(wxMouseEvent& event){
	
	//cout<<(event.GetWheelRotation())<<endl;
	if(!wxGetKeyState(WXK_CONTROL)){
		if(selectTool[2]==0||selectTool[2]==0){selectTool[0]   -=       event.GetWheelRotation()/120    ;selectTool[2]=0;}else selectTool[3] -=   event.GetWheelRotation()/120     ;if(selectTool[3]<0)selectTool[3]=9;if(selectTool[3]>9)selectTool[3]=0;
	}else{
		if(selectTool[2]==0)selectTool[1]  -=  event.GetWheelRotation()/120 ;else if(event.ShiftDown())selectTool[10+(size_t)selectTool[3] ]  -=  event.GetWheelRotation()/12  ;else selectTool[10+(size_t)selectTool[3] ]  -=  event.GetWheelRotation()/120;		if(selectTool[2]==1&&selectTool[0]==3)selectTool[9]   -= event.GetWheelRotation()/120;
	}

	if(event.MiddleIsDown())cam.showTerminal=!cam.showTerminal;

	if(event.RightIsDown()){
		selectTool[2]==1?selectTool[2]=0:selectTool[2]=1;
		selectTool[3]=0;
	}

	if(event.LeftIsDown()){

		if(selectTool[0]==1){//ADD
			if(selectTool[1]==0){Obj* ptr=mainSys.addObj(-cam.getX(),Vect(3),selectTool[10+0]/10.,selectTool[10+1]/10.,/*GRAV*/(bool)(selectTool[10+6]),selectTool[10+5]/100.);if((bool)(selectTool[10+7])!=0)(*ptr).showPath=true;}
			if(selectTool[1]==1){}
			if(selectTool[1]==2){}
			if(selectTool[1]==3){
				//temp = mainSys.generate(Vect({0,0,0}),Vect({(double)iCOUNT,(double)jCOUNT,5}),1,100,0,100,false,0,false,false,{0,1,0});
				//(*temp[0+0]).enableTranslationForce(false);
				//(*temp[(size_t)iCOUNT-1+0]).enableTranslationForce(false);

				vector<Obj*> ptr=mainSys.generate(-cam.getX(),Vect({(double)selectTool[10+5],(double)selectTool[10+6],(double)selectTool[10+7]}),selectTool[10+1]/10.,selectTool[10+0]/10.,selectTool[10+9],100);//if((bool)(selectTool[10+7])!=0)(*ptr).showPath=true;
				if(selectTool[10+8]==0){}
				else if(selectTool[10+8]==1){
					ptr[0					+selectTool[10+5]*0						+selectTool[10+5]*selectTool[10+6]*0					]->enableTranslationForce(false);//selectTool[10+5],selectTool[10+6],selectTool[10+7]
					ptr[0					+selectTool[10+5]*0						+selectTool[10+5]*selectTool[10+6]*(selectTool[10+7]-1)	]->enableTranslationForce(false);
					ptr[0					+selectTool[10+5]*(selectTool[10+6]-1)	+selectTool[10+5]*selectTool[10+6]*0					]->enableTranslationForce(false);
					ptr[0					+selectTool[10+5]*(selectTool[10+6]-1)	+selectTool[10+5]*selectTool[10+6]*(selectTool[10+7]-1)	]->enableTranslationForce(false);
					ptr[(selectTool[10+5]-1)+selectTool[10+5]*0						+selectTool[10+5]*selectTool[10+6]*0					]->enableTranslationForce(false);
					ptr[(selectTool[10+5]-1)+selectTool[10+5]*0						+selectTool[10+5]*selectTool[10+6]*(selectTool[10+7]-1)	]->enableTranslationForce(false);
					ptr[(selectTool[10+5]-1)+selectTool[10+5]*(selectTool[10+6]-1)	+selectTool[10+5]*selectTool[10+6]*0					]->enableTranslationForce(false);
					ptr[(selectTool[10+5]-1)+selectTool[10+5]*(selectTool[10+6]-1)	+selectTool[10+5]*selectTool[10+6]*(selectTool[10+7]-1)	]->enableTranslationForce(false);
				}
				else if(selectTool[10+8]==2){
					for(int i=0;i<selectTool[10+5];i++){//x
						ptr[(i				)	+selectTool[10+5]*(0				 )	+selectTool[10+5]*selectTool[10+6]*(0				  )	]->enableTranslationForce(false);
						ptr[(i				)	+selectTool[10+5]*(0				 )	+selectTool[10+5]*selectTool[10+6]*(selectTool[10+7]-1)	]->enableTranslationForce(false);
						ptr[(i				)	+selectTool[10+5]*(selectTool[10+6]-1)	+selectTool[10+5]*selectTool[10+6]*(0				  )	]->enableTranslationForce(false);
						ptr[(i				)	+selectTool[10+5]*(selectTool[10+6]-1)	+selectTool[10+5]*selectTool[10+6]*(selectTool[10+7]-1)	]->enableTranslationForce(false);
					}
					for(int i=0;i<selectTool[10+6];i++){//y
						ptr[(0				   )+selectTool[10+5]*(i				 )	+selectTool[10+5]*selectTool[10+6]*(0				)	]->enableTranslationForce(false);
						ptr[(0				   )+selectTool[10+5]*(i				 )	+selectTool[10+5]*selectTool[10+6]*(selectTool[10+7]-1)	]->enableTranslationForce(false);
						ptr[(selectTool[10+5]-1)+selectTool[10+5]*(i				 )	+selectTool[10+5]*selectTool[10+6]*(0				)	]->enableTranslationForce(false);
						ptr[(selectTool[10+5]-1)+selectTool[10+5]*(i				 )	+selectTool[10+5]*selectTool[10+6]*(selectTool[10+7]-1)	]->enableTranslationForce(false);
					}
					for(int i=0;i<selectTool[10+7];i++){//z
						ptr[(0				)	+selectTool[10+5]*(selectTool[10+6]-1)	+selectTool[10+5]*selectTool[10+6]*(i				)	]->enableTranslationForce(false);
						ptr[(0				)	+selectTool[10+5]*(0				 )	+selectTool[10+5]*selectTool[10+6]*(i				)	]->enableTranslationForce(false);
						ptr[(selectTool[10+5]-1)+selectTool[10+5]*(selectTool[10+6]-1)	+selectTool[10+5]*selectTool[10+6]*(i				)	]->enableTranslationForce(false);
						ptr[(selectTool[10+5]-1)+selectTool[10+5]*(0				 )	+selectTool[10+5]*selectTool[10+6]*(i				)	]->enableTranslationForce(false);
					}
				}
				else if(selectTool[10+8]==3){

				}
			}
			if(selectTool[1]==4){}
		}
		else if(selectTool[0]==2){//EDITOR
			
		}
		else if(selectTool[0]==3){//SAVE/LOAD
			if(selectTool[2]==1){
				cam.setFollow();
				mainSys.clear();
				choosePreset(selectTool[9]);
			}
		}
	}

	
	/*if (event.LeftIsDown()){
		switch (selectTool){
			case 0: break;
			case 1: break;
			case 2: break;
			case 3: break;
			case 4: break;
		}
	}
	if(event.m_wheelRotation!=0){
		//CHANGE OBJET
		selectTool+=event.m_wheelRotation / event.m_wheelDelta;
	}*/
	
}

void OpenGLView::OnMouseMotion(wxMouseEvent& event){
	event.GetPosition(&xmouse,&ymouse);
}

//Key Listener
void OpenGLView::OnKeyUp( wxKeyEvent& event ){
	//if(event.GetKeyCode()=='O')	cam.focusMove(0);
	//else if(event.GetKeyCode()=='U')	cam.focusMove(0);
	/*else*/ if(event.GetKeyCode()=='K')	cam.perspectiveMove(0);
	else if(event.GetKeyCode()=='L')	cam.perspectiveMove(0);
	else if(event.GetKeyCode()=='N')	cam.motionBlurMove(0);
	else if(event.GetKeyCode()=='B')	cam.motionBlurMove(0);
}
void OpenGLView::OnKeyDown( wxKeyEvent& event ){
	/*string messageTerminalStatus;
	if(selectTool[0]==0)messageTerminalStatus+="terminal->help";
	else if(selectTool[0]==1)messageTerminalStatus+="terminal->addObj";
	else if(selectTool[0]==2)messageTerminalStatus+="terminal->editor";
	else if(selectTool[0]==3)messageTerminalStatus+="terminal->save/load";
	else if(selectTool[0]==4)messageTerminalStatus+="terminal->options";
*/

	if(event.ControlDown() && event.GetKeyCode()=='U')	cam.focusMove(1/1.05);//.005);
	else if(event.ControlDown() && event.GetKeyCode()=='O')	cam.focusMove(1.05);//-.005);
	else if(event.ControlDown() && event.GetKeyCode()=='I')	{stereoscopy=!stereoscopy;string message="STEREOSCOPY = ";stereoscopy?message+="ON":message+="OFF";cam.message(message);}
	else if(event.ControlDown() && event.GetKeyCode()=='K')	{cam.perspectiveMove( .01);string message="perspective = ";message+=toString(cam.getPerspective());cam.message(message);}
	else if(event.ControlDown() && event.GetKeyCode()=='L')	{cam.perspectiveMove(-.01);string message="perspective = ";message+=toString(cam.getPerspective());cam.message(message);}
	else if(event.ControlDown() && event.GetKeyCode()=='J')	cam.showBoussole=((cam.showBoussole+1)%3);
	else if(event.ControlDown() && event.GetKeyCode()=='F') if((*parent).IsFullScreen())(*parent).ShowFullScreen(false,wxFULLSCREEN_ALL);
		else (*parent).ShowFullScreen(true,wxFULLSCREEN_ALL);
	else if(event.ControlDown() && event.GetKeyCode()=='M')	{mouseMod= !mouseMod; if(mouseMod)CaptureMouse();else ReleaseMouse();string message="MouseControl = ";mouseMod?message+="ON":message+="OFF";cam.message(message);}
	else if(event.ControlDown() && event.GetKeyCode()=='B')	{cam.motionBlurMove(.0005);string str="Blur = ";str+=toString(1-cam.getMotionBlur());cam.message(str);}
	else if(event.ControlDown() && event.GetKeyCode()=='N')	{cam.motionBlurMove(-.0005);string str="Blur = ";str+=toString(1-cam.getMotionBlur());cam.message(str);}
	else if(event.ControlDown() && event.GetKeyCode()=='P')	{simulationOn=!simulationOn;string message="PHYSICS = ";simulationOn?message+="ON":message+="OFF";cam.message(message);}

	else if(event.ControlDown() && event.GetKeyCode()=='H')	{mainSys.getCollision()->swtichSound();string message="SOUNDFX = ";mainSys.getCollision()->soundState()?message+="ON":message+="OFF";cam.message(message);}
	else if(event.ControlDown() && event.GetKeyCode()=='R')	{cam.setX({0,0,0});cam.setFollow();}

	else if(event.ControlDown() && event.GetKeyCode()=='T' && event.ShiftDown() ){Obj::integ->setdt(Obj::integ->getdt()-0.005);string message="Integ dt = ";message+=toString(Obj::integ->getdt());cam.message(message);}
	else if(event.ControlDown() && event.GetKeyCode()=='Z' && event.ShiftDown()){Obj::integ->setdt(Obj::integ->getdt()+0.005);string message="Integ dt = ";message+=toString(Obj::integ->getdt());cam.message(message);}
	else if(event.ControlDown() && event.GetKeyCode()=='T' && !event.ShiftDown()){Obj::integ->setdt(Obj::integ->getdt()*0.995/*-0.0005*/);string message="Integ dt = ";message+=toString(Obj::integ->getdt());cam.message(message);}
	else if(event.ControlDown() && event.GetKeyCode()=='Z' && !event.ShiftDown()){Obj::integ->setdt(Obj::integ->getdt()*1.005/*+0.0005*/);string message="Integ dt = ";message+=toString(Obj::integ->getdt());cam.message(message);}

	else if(event.GetKeyCode()=='M')	dispFace=!dispFace;
	else if(event.GetKeyCode()=='N')	dispInformation=!dispInformation;
	else if(event.GetKeyCode()=='B')	{light=!light;light?glEnable(GL_LIGHTING):glDisable(GL_LIGHTING);}
	
	else if(event.GetKeyCode()==WXK_TAB)	cam.showTerminal=!cam.showTerminal;
	else if(event.GetKeyCode()=='U')	{selectTool[2]=0;selectTool[3]=0;																															/*cam.message(messageTerminalStatus);*/}
	else if(event.GetKeyCode()=='O')	{selectTool[2]=1;selectTool[3]=0;																															/*cam.message(messageTerminalStatus);*/}
	else if(event.GetKeyCode()=='I')	{if(selectTool[2]==0||selectTool[2]==0){selectTool[0]-=1;selectTool[2]=0;}else selectTool[3]-=1;if(selectTool[3]<0)selectTool[3]=9;if(selectTool[3]>9)selectTool[3]=0;	/*if(selectTool[2]==0)cam.message(messageTerminalStatus);*/}
	else if(event.GetKeyCode()=='K')	{if(selectTool[2]==0||selectTool[0]==0){selectTool[0]+=1;selectTool[2]=0;}else selectTool[3]+=1;if(selectTool[3]<0)selectTool[3]=9;if(selectTool[3]>9)selectTool[3]=0;	/*if(selectTool[2]==0)cam.message(messageTerminalStatus);*/}
	else if(event.GetKeyCode()=='J')	{if(selectTool[2]==0)selectTool[1]-=1;else if(event.ShiftDown())selectTool[10+(size_t)selectTool[3] ]-=10;else selectTool[10+(size_t)selectTool[3] ]-=1;	/*cam.message(messageTerminalStatus);*/	if(selectTool[2]==1&&selectTool[0]==3)selectTool[9]-=1;}
	else if(event.GetKeyCode()=='L')	{if(selectTool[2]==0)selectTool[1]+=1;else if(event.ShiftDown())selectTool[10+(size_t)selectTool[3] ]+=10;else selectTool[10+(size_t)selectTool[3] ]+=1;	/*cam.message(messageTerminalStatus);*/	if(selectTool[2]==1&&selectTool[0]==3)selectTool[9]+=1;}
	else if(event.GetKeyCode()=='V')  {infoPLUS=!infoPLUS;string message="INFO PLUS = ";infoPLUS?message+="ON":message+="OFF";cam.message(message);}

	else if(event.GetKeyCode()==WXK_RETURN){

		if(selectTool[0]==1){//ADD
			if(selectTool[1]==0){Obj* ptr=mainSys.addObj(-cam.getX(),Vect(3),selectTool[10+0]/10.,selectTool[10+1]/10.,/*GRAV*/(bool)(selectTool[10+6]),selectTool[10+5]/100.);if((bool)(selectTool[10+7])!=0)(*ptr).showPath=true;}
			if(selectTool[1]==1){}
			if(selectTool[1]==2){}
			if(selectTool[1]==3){
				//temp = mainSys.generate(Vect({0,0,0}),Vect({(double)iCOUNT,(double)jCOUNT,5}),1,100,0,100,false,0,false,false,{0,1,0});
				//(*temp[0+0]).enableTranslationForce(false);
				//(*temp[(size_t)iCOUNT-1+0]).enableTranslationForce(false);

				vector<Obj*> ptr=mainSys.generate(-cam.getX(),Vect({(double)selectTool[10+5],(double)selectTool[10+6],(double)selectTool[10+7]}),selectTool[10+1]/10.,selectTool[10+0]/10.,selectTool[10+9],100);//if((bool)(selectTool[10+7])!=0)(*ptr).showPath=true;
				if(selectTool[10+8]==0){}
				else if(selectTool[10+8]==1){
					ptr[0					+selectTool[10+5]*0						+selectTool[10+5]*selectTool[10+6]*0					]->enableTranslationForce(false);//selectTool[10+5],selectTool[10+6],selectTool[10+7]
					ptr[0					+selectTool[10+5]*0						+selectTool[10+5]*selectTool[10+6]*(selectTool[10+7]-1)	]->enableTranslationForce(false);
					ptr[0					+selectTool[10+5]*(selectTool[10+6]-1)	+selectTool[10+5]*selectTool[10+6]*0					]->enableTranslationForce(false);
					ptr[0					+selectTool[10+5]*(selectTool[10+6]-1)	+selectTool[10+5]*selectTool[10+6]*(selectTool[10+7]-1)	]->enableTranslationForce(false);
					ptr[(selectTool[10+5]-1)+selectTool[10+5]*0						+selectTool[10+5]*selectTool[10+6]*0					]->enableTranslationForce(false);
					ptr[(selectTool[10+5]-1)+selectTool[10+5]*0						+selectTool[10+5]*selectTool[10+6]*(selectTool[10+7]-1)	]->enableTranslationForce(false);
					ptr[(selectTool[10+5]-1)+selectTool[10+5]*(selectTool[10+6]-1)	+selectTool[10+5]*selectTool[10+6]*0					]->enableTranslationForce(false);
					ptr[(selectTool[10+5]-1)+selectTool[10+5]*(selectTool[10+6]-1)	+selectTool[10+5]*selectTool[10+6]*(selectTool[10+7]-1)	]->enableTranslationForce(false);
				}
				else if(selectTool[10+8]==2){
					for(int i=0;i<selectTool[10+5];i++){//x
						ptr[(i				)	+selectTool[10+5]*(0				 )	+selectTool[10+5]*selectTool[10+6]*(0				  )	]->enableTranslationForce(false);
						ptr[(i				)	+selectTool[10+5]*(0				 )	+selectTool[10+5]*selectTool[10+6]*(selectTool[10+7]-1)	]->enableTranslationForce(false);
						ptr[(i				)	+selectTool[10+5]*(selectTool[10+6]-1)	+selectTool[10+5]*selectTool[10+6]*(0				  )	]->enableTranslationForce(false);
						ptr[(i				)	+selectTool[10+5]*(selectTool[10+6]-1)	+selectTool[10+5]*selectTool[10+6]*(selectTool[10+7]-1)	]->enableTranslationForce(false);
					}
					for(int i=0;i<selectTool[10+6];i++){//y
						ptr[(0				   )+selectTool[10+5]*(i				 )	+selectTool[10+5]*selectTool[10+6]*(0				)	]->enableTranslationForce(false);
						ptr[(0				   )+selectTool[10+5]*(i				 )	+selectTool[10+5]*selectTool[10+6]*(selectTool[10+7]-1)	]->enableTranslationForce(false);
						ptr[(selectTool[10+5]-1)+selectTool[10+5]*(i				 )	+selectTool[10+5]*selectTool[10+6]*(0				)	]->enableTranslationForce(false);
						ptr[(selectTool[10+5]-1)+selectTool[10+5]*(i				 )	+selectTool[10+5]*selectTool[10+6]*(selectTool[10+7]-1)	]->enableTranslationForce(false);
					}
					for(int i=0;i<selectTool[10+7];i++){//z
						ptr[(0				)	+selectTool[10+5]*(selectTool[10+6]-1)	+selectTool[10+5]*selectTool[10+6]*(i				)	]->enableTranslationForce(false);
						ptr[(0				)	+selectTool[10+5]*(0				 )	+selectTool[10+5]*selectTool[10+6]*(i				)	]->enableTranslationForce(false);
						ptr[(selectTool[10+5]-1)+selectTool[10+5]*(selectTool[10+6]-1)	+selectTool[10+5]*selectTool[10+6]*(i				)	]->enableTranslationForce(false);
						ptr[(selectTool[10+5]-1)+selectTool[10+5]*(0				 )	+selectTool[10+5]*selectTool[10+6]*(i				)	]->enableTranslationForce(false);
					}
				}
				else if(selectTool[10+8]==3){

				}
			}
			if(selectTool[1]==4){}
		}
		else if(selectTool[0]==2){//EDITOR
			
		}
		else if(selectTool[0]==3){//SAVE/LOAD
			if(selectTool[2]==1){
				cam.setFollow();
				mainSys.clear();
				choosePreset(selectTool[9]);
			}
		}
	}
	else if(event.GetKeyCode()==' '){
		for(int i=0;i<25;i++){
			(*(mainSys.addObj(Vect({3,0,0}),randVect(5,3),10.,0,false))).setT(.25);
			(*(mainSys.addObj(Vect({3,0,0}),randVect(10,3),10.,0,false))).setT(.25);
			(*(mainSys.addObj(Vect({3,0,0}),randVect(20,3),10.,0,false))).setT(.25);
		}
	}
	/*timer->Stop();
	timer->Start();*/
  event.Skip();
}





void OpenGLView::InitOpenGL(){

	light=true;
	SetCurrent();// Initialisation OpenGL
	glEnable(GL_DEPTH_TEST);// active la gestion de la profondeur
	//glEnable (GL_BLEND);// active la transparence
	glEnable(GL_POINT_SMOOTH);
	glEnable(GL_LIGHTING);
	glEnable(GL_LIGHT0);

	glEnable(GL_AUTO_NORMAL);
	glEnable(GL_NORMALIZE);
	//glDepthFunc(GL_LESS);
	glEnable(GL_CULL_FACE);//pas d'intérieur

	GLfloat mod_ambt[] = {0.015, 0.062, 0.09, 0.0}; 
	GLfloat local_view[] = {0.0F}; 
	//glDepthFunc(GL_LESS);
	glLightModelfv(GL_LIGHT_MODEL_AMBIENT,mod_ambt); 
	glLightModelfv(GL_LIGHT_MODEL_LOCAL_VIEWER,local_view); 

	glBlendFunc (GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
	//SetCursor(*wxCROSS_CURSOR);
	SetCursor( wxCursor( wxCURSOR_BLANK ) );
	int xWin,yWin;GetSize(&xWin,&yWin);
	parent->WarpPointer(xWin/2., yWin/2.);

	glEnable( GL_LINE_SMOOTH );
	//glEnable( GL_POLYGON_SMOOTH );
	//glHint( GL_LINE_SMOOTH_HINT, GL_NICEST );
	glHint( GL_POLYGON_SMOOTH_HINT, GL_NICEST );


////////////////////////////////////////////////////////////////////////
// int choice= (int)rand(0,69); // pour activer la musique par defaut //
////////////////////////////////////////////////////////////////////////
	int choice= (int)rand(1,70);
////////////////////////////////////////////////////////////////////////
		 if(choice==0)system ("./Play music.wav&");
		 else{
		 	string instr;
		 	if(choice==11 || choice==14 || choice==17 || choice==70) instr="./Play part"+toString(choice)+".wav&";
		 	else instr="./Play part"+toString(choice)+".wav 5&";
		 	system (instr.c_str());
		 }	
	//glClearColor(0.03, 0.16, 0.18, 0.0);
	glClearColor(0.03/2, 0.16/2, 0.18/2, 0.0);
	
	timer->Start(20);// lance le Timer

	choosePreset(-3);
}


void OpenGLView::OnTimer(wxTimerEvent& event){
	
	compteurTimer+=event.GetInterval();
	if(compteurTimer > 10){
		if(simulationOn)mainSys.update();//event.GetInterval()/500.);
		compteurTimer=0;
	}
	Obj::integ->changePhase();
	Obj::integ->updateTime();

	cam.init();
	
	int xWin,yWin;GetSize(&xWin,&yWin);
	xWin+=2;
	yWin+=2;
	if ( mouseMod && abs((xmouse-xWin/2) + 2 !=0  || abs(ymouse-yWin/2) -2 !=0)){
		int xWin,yWin;GetSize(&xWin,&yWin);
		parent->WarpPointer(xWin/2., yWin/2.);
		cam.RotateTheta(20.*(-ymouse+yWin/2.-2)*1./yWin );
		cam.RotatePhi(20.*(xmouse-xWin/2.+2)*1./xWin );
		cam.RotateRho(20.*(xmouse-xWin/2.+2)*-1./xWin );
	}
	

	if(wxGetKeyState(WXK_LEFT))		{cam.RotatePhi( -1);cam.RotateRho(1);}	
	if(wxGetKeyState(WXK_RIGHT)){cam.RotatePhi(1);cam.RotateRho(-1);}

	if(wxGetKeyState(WXK_UP))		cam.RotateTheta(1);						
	if(wxGetKeyState(WXK_DOWN))cam.RotateTheta(-1);

	if(wxGetKeyState(WXK_PAGEUP))	cam.RotateRho(-2);
	if(wxGetKeyState(WXK_PAGEDOWN))cam.RotateRho(2);
	
	if(wxGetKeyState((wxKeyCode) 'W'))	cam.walk(-1);
	if(wxGetKeyState((wxKeyCode) 'S'))cam.walk(1);

	if(wxGetKeyState((wxKeyCode) 'A'))	{cam.strafe(-1);if(wxGetKeyState(WXK_SHIFT))cam.RotateRho(-.5);}
	if(wxGetKeyState((wxKeyCode) 'D'))  {cam.strafe(1);if(wxGetKeyState(WXK_SHIFT))cam.RotateRho(.5);}

	if(wxGetKeyState((wxKeyCode) 'E'))	cam.jump(-1);
	if(wxGetKeyState((wxKeyCode) 'Q')) cam.jump(1);

	if(wxGetKeyState(WXK_SHIFT))cam.fast=100;
	else if(wxGetKeyState(WXK_CONTROL))cam.fast=1;
	else  cam.fast=10;

	if(wxGetKeyState((wxKeyCode) 'L') && wxGetKeyState((wxKeyCode) 'S') && wxGetKeyState((wxKeyCode) 'D')){
		EPILEPTIK=true;
		glClearColor(rand(0,1), rand(0,1), rand(0,1), 0.0);
		cam.init();//walk(0); cam.RotateRho(0);cam.jump(0);cam.strafe(0);
	}
	else {
		EPILEPTIK=false;
		glClearColor(0.03/2, 0.16/2, 0.18/2, 0.0);
	}

	cam.update(event.GetInterval());
	//cam.update();

	// demande l'affichage
	Refresh(false);
}





//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////                                                                            ////////////////////////////////////////////////////////
//////////////////////////////////////  _///////  _///////    _////////  _// //  _////////_/// _//////  _// //    ////////////////////////////////////////////////////////
//////////////////////////////////////  _//    _//_//    _//  _//      _//    _//_//           _//    _//    _//  ////////////////////////////////////////////////////////
//////////////////////////////////////  _//    _//_//    _//  _//       _//      _//           _//     _//        ////////////////////////////////////////////////////////
//////////////////////////////////////  _///////  _/ _//      _//////     _//    _//////       _//       _//      ////////////////////////////////////////////////////////
//////////////////////////////////////  _//       _//  _//    _//            _// _//           _//          _//   ////////////////////////////////////////////////////////
//////////////////////////////////////  _//       _//    _//  _//      _//    _//_//           _//    _//    _//  ////////////////////////////////////////////////////////
//////////////////////////////////////  _//       _//      _//_////////  _// //  _////////     _//      _// //    ////////////////////////////////////////////////////////
//////////////////////////////////////                                                                            ////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
void OpenGLView::choosePreset(int const& choice){

	mainSys.archimedBool=false;
	mainSys.collisionBool=false;
	mainSys.frottement=0;



	if(choice==-4){
		load(mainSys,"sampleXML.xml");
	}
	else if(choice==-3){
		string strInstruction;
			for(int i=0;i<10;i++){
				strInstruction+=  "\n";
				for(int i=0;i<209;i++){
					if(rand(0,1)<.5)strInstruction+="-";
					else strInstruction+=" ";
				}
			}
			strInstruction+=  "\n-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------";
			strInstruction+=  "\nbienvenue dans le simulateur de physique du projet d'informatique 2011-2012 !";
			strInstruction+=  "\nvoici en introduction un petit tutoriel pour jouer avec ce programme :";
			strInstruction+=  "\npour commencer, on peut naviguer avec les touches du clavier :";
			strInstruction+=  "\n";
			strInstruction+=  "\n q w e";
			strInstruction+=  "\n a s d pour se deplacer dans l'espace.";
			strInstruction+=  "\n";
			strInstruction+=  "\ne et q servent a se deplacer verticalement.";
			strInstruction+=  "\n";
			strInstruction+=  "\n   ^";
			strInstruction+=  "\n < v > pour tourner la camera. CTRL+M pour activer la souris";
			strInstruction+=  "\n";
			strInstruction+=  "\nctrl sert a se deplacer lentement.";
			strInstruction+=  "\nshift sert a activer le boost.";
			strInstruction+=  "\n";
			strInstruction+=  "\nCTRL-J sert a changer le repere, ou a l'enlever.";
			strInstruction+=  "\n";
			strInstruction+=  "\nd'autres raccourcis claviers sont donné dans le help, accessible depuis le pseudo-terminal.";
			strInstruction+=  "\nOn peut l'afficher a l'aide de la touche tab";
			strInstruction+=  "\n";
			strInstruction+=  "\nOn peut naviguer dans le terminal avec les touches :";
			strInstruction+=  "\n u i o";
			strInstruction+=  "\n j k l";
			strInstruction+=  "\n";
			strInstruction+=  "\nu permet de passer sur le panel de gauche,";
			strInstruction+=  "\nainsi les touches i et k servent a choisir le mode desite :";
			strInstruction+=  "\n    help, editor, adder, load-save, options";
			strInstruction+=  "\net les touches j et l servent a choisir une sous categorie si il y en a :";
			strInstruction+=  "\n    par exemple dans le mode adder, on peut choisir ce qu'on veut ajouter.";
			strInstruction+=  "\n";
			strInstruction+=  "\no permet de passer sur le panel de droite,";
			strInstruction+=  "\nainsi les touches i et k servent a choisir la variable sur laquelle on veut agir.";
			strInstruction+=  "\net les touches j et l servebt a faire varier la variable selectionnee.";
			strInstruction+=  "\n";
			strInstruction+=  "\nenter sert a valider un choix dans le menu choisi.";
			strInstruction+=  "\nil continue a fonctionner lorsque le terminal est cache (retaper tab).";
			strInstruction+=  "\nce qui est pratique pour relancer une scene ou pour placer beaucoup de copies d'un meme objet.";
			strInstruction+=  "\n";
			strInstruction+=  "\nOn peut par exemple aller dans addObj et selectionner des parametres puis appuyer sur enter.";
			strInstruction+=  "\nl'objet est genere a la position de la camera : il suffit de se deplacer pour le voir.";
			strInstruction+=  "\nattention a bien penser a choisir des tailles non nulles (sauf peut etre pour avoir des balles ponctuelles) !";
			strInstruction+=  "\ncar sinon les objets sont assez dificiles a voir...";
			strInstruction+=  "\n";
			strInstruction+=  "\nctrl+P sert a activer la physique et a la desactiver.";
			strInstruction+=  "\n";
			strInstruction+=  "\non peut encore jouer avec les autres raccourcis:";
			strInstruction+=  "\nctrl+i = stereoscopie";
			strInstruction+=  "\nctrl+u ou O = set focus";
			strInstruction+=  "\netc... (cf helper)";
			strInstruction+=  "\n";
			strInstruction+=  "\nMaintenant pour essayer un test, on peut lancer un preset en allant dans le terminal.";
			strInstruction+=  "\n(appuyer sur tab)";
			strInstruction+=  "\n";
			strInstruction+=  "\nchoisir le panel de gauche.";
			strInstruction+=  "\n(appuyer sur u)";
			strInstruction+=  "\n";
			strInstruction+=  "\nchoisir le mode load-save.";
			strInstruction+=  "\n(appuyer sur k jusqu'au bon mode)";
			strInstruction+=  "\n";
			strInstruction+=  "\nchoisir le panel de droite.";
			strInstruction+=  "\n(appuyer sur o)";
			strInstruction+=  "\n";
			strInstruction+=  "\nchoisir un preset.";
			strInstruction+=  "\n(appuyer sur j ou l)";
			strInstruction+=  "\n";
			strInstruction+=  "\nles presets commencent a -3 : ";
			strInstruction+=  "\n    -3 = ce tutoriel ";
			strInstruction+=  "\n    -2 = scene vide avec gravite et collision";
			strInstruction+=  "\n    -1 = scene vide avec gravite sans collision";
			strInstruction+=  "\n    0 a infini = scene de test";
			strInstruction+=  "\n";
			strInstruction+=  "\nappuyer sur -->ENTER<-- ";
			strInstruction+=  "\n";
			strInstruction+=  "\n!!! MAIS AVANT !!!";
			strInstruction+=  "\nsachez que le preset -4 correspond au preset nomme sampleXML.xml que l'on trouve dans le dossier du projet !";
			strInstruction+=  "\nvous pouvez le modifier et l'execution changera (on est pas oblige de fermer le projet pour changer le xml)";
			strInstruction+=  "\non peut imaginer pour la suite une version ou on a le choix de lancer un preset ou alors un xml nomme #.xml ou # correspond a un numero (comme pour preset)";
			strInstruction+=  "\n";
			strInstruction+=  "\n";
			strInstruction+=  "\n";
			strInstruction+=  "\n-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------";
			for(int i=0;i<10;i++){	
				//strInstruction+=  "\n";
				//strInstruction+=  "\n";
				//strInstruction+=  "\n";
				strInstruction+=  "\n";
				for(int i=0;i<209;i++){
					if(rand(0,1)<.5)strInstruction+="-";
					else strInstruction+=" ";
				}
			}
			//strInstruction+=  "\n-->> press CTRL+P to activate physics ! <<--        -->> press CTRL+P to activate physics ! <<--       -->> press CTRL+P to activate physics ! <<--       -->> press CTRL+P to activate physics ! <<--           ";
			//strInstruction+=  "\nthen press SPACE for fun ! :-)                                                                                                                                                                               :-D ";
			//strInstruction+=  "\n----move with wasd and arrows------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------";
			//strInstruction+="\n\nchanger mainSys.disp() en mainSys.cdisp() dans testBalle.cc dans la fonction dessine pour le terminal, la fenetre s'ouvre quand meme, regarder dans le terminal apres avoir active la simulation dans la fenetre!";
		//String3d str(strInstruction,0,0);
		mainSys.addDisp(new String3d(strInstruction,2,75,1,.05));
	}
	if(choice==-2){
		mainSys.collisionBool=true;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);// un champ gravitaionnel
	}
	if(choice==-1){
		mainSys.collisionBool=false;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);// un champ gravitaionnel
	}
	if(choice==0){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);// un champ gravitaionnel
		mainSys.frottement=.1;
		
		string strInstruction;
			strInstruction+=  "bienvenue dans le test de balle !";
			strInstruction+=  "\n-->> press CTRL+P to activate physics ! <<--        -->> press CTRL+P to activate physics ! <<--       -->> press CTRL+P to activate physics ! <<--       -->> press CTRL+P to activate physics ! <<--           ";
			strInstruction+=  "\nthen press SPACE for fun ! :-)                                                                                                                                                                               :-D ";
			strInstruction+=  "\n----move with wasd and arrows------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------";
			strInstruction+="\n\nchanger mainSys.disp() en mainSys.cdisp() dans testBalle.cc dans la fonction dessine pour le terminal, la fenetre s'ouvre quand meme, regarder dans le terminal apres avoir active la simulation dans la fenetre!";
		//String3d str(strInstruction,0,0);
		mainSys.addDisp(new String3d(strInstruction,0,0));

		for(int i=0;i<15;i++){
			mainSys.addObj(Vect({10,5.*i,0}),Vect({0,0,0}),10.,i/6.,false);
		}
		for(int i=0;i<30;i++){
			(*(mainSys.addObj(Vect({15.+i,1.*i,0}),Vect({0,0,3.*cos(i*2*PI/20)}),10.,1.,false))).setMCin({5.*i,2,3});
		}
		Obj* ptr=(mainSys.addObj(Vect({3,-3,0}),Vect({0,5,5}),10.,.5,false));
		(*ptr).setMCin({0,25,25});
		(*ptr).showPath=true;
		(*(mainSys.addObj(Vect({5,0,0}),Vect({0,0,5}),10.,1,false))).setMCin({10,10,10});
	}
	//---------------------------------------------------
	else if(choice==1){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		mainSys.addObj(Vect({0,0,0}),Vect({0,0,0}),1000000000000.,0.1,true);
		mainSys.frottement=.1;
		
		for(int i=0;i<500;i++){
			(mainSys.addObj(Vect({rand(0,10)*cos(rand(0,2*PI)),rand(0,10)*cos(rand(0,2*PI)),rand(-1,1)}),
										Vect({rand(0,10)*cos(rand(0,2*PI)),rand(0,10)*cos(rand(0,2*PI)),rand(-1,1)}),1000000000.,0.,false));
		}
	}
	//-----------------------------------------------------
	else if(choice==2){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=true;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);// un champ gravitaionnel
		mainSys.frottement=.0;

		for(int i=0;i<5;i++){
			for(int j=0;j<5;j++){
				Obj* ptr((mainSys.addObj(Vect({10.*i,10.*j,1.*(i+j)}),Vect({0,0,0}),10.,5.,false)));
				ptr->enableTranslationForce(false);
				ptr->enableRotationForce(false);
			}
		}
		for(int i=0;i<3;i++){
			for(int j=0;j<2;j++){
				(*(mainSys.addObj(Vect({10+10.*i,10+10.*j,20+5.}),Vect({0,0,0}),10.,1.,false))).enableRotationForce(false);
			}
		}
	}
	else if(choice==3){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=true;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);
		
		vector<Obj*> temp;
		int iCOUNT=10;
		int jCOUNT=10;
		temp = mainSys.generate(Vect({0,0,0}),Vect({(double)iCOUNT,(double)jCOUNT,1}),1,100,0,100,false,0,true,false);
			(*temp[0+0]).enableTranslationForce(false);
			(*temp[(size_t)iCOUNT-1+0]).enableTranslationForce(false);
			(*temp[0+((size_t)jCOUNT-1)*(size_t)iCOUNT]).enableTranslationForce(false);
			(*temp[(size_t)iCOUNT-1+((size_t)jCOUNT-1)*(size_t)iCOUNT]).enableTranslationForce(false);
		//temp =mainSys.generate(Vect({0,0,0}),Vect({ (double) iCOUNT, (double) jCOUNT,2}),2.,10,0,25,false,0,false);
			//(*temp[0+0]).enableTranslationForce(false);
			//(*temp[(size_t)iCOUNT-1+0]).enableTranslationForce(false);
			//(*temp[0+((size_t)jCOUNT-1)*(size_t)iCOUNT]).enableTranslationForce(false);
			//(*temp[(size_t)iCOUNT-1+((size_t)jCOUNT-1)*(size_t)iCOUNT]).enableTranslationForce(false);			
		mainSys.addObj(Vect({iCOUNT/2.,jCOUNT/2.,10}),Vect({0,0,0}),100.,2,false);
	}
	else if(choice==4){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		mainSys.addObj(Vect({0,0,0}),Vect({0,0,0}),1000000000000.,0.1,true);
		mainSys.frottement=.1;

		for(int i=0;i<100;i++){
			(mainSys.addObj(Vect({rand(0,5)*cos(rand(0,2*PI)),rand(0,10)*cos(rand(0,2*PI)),rand(-1,1)}),
										Vect({rand(0,5)*cos(rand(0,2*PI)),rand(0,10)*cos(rand(0,2*PI)),rand(-1,1)}),1000000000.,0.,false))->showPath=true;
		}
	}
	else if(choice==5){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;

		for(int i=0;i<30;i++){
			for(int j=0;j<30;j++){
				(*(mainSys.addObj(Vect({1.*i,1.*j,1*cos(i*2*PI/30)+1*sin(j*2*PI/30)}),Vect({0,0,0}),10.,2.5,false))).enableTranslationForce(false);
			}
		}
	}
	else if(choice==6){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		mainSys.addObj(Vect({-100,0,0}),Vect({10,0,0}),5000000000000.,.25,true);
		mainSys.frottement=.1;

		for(int i=0;i<500;i++){
			mainSys.addObj(randVect(10),randVect(1),1000000000.,0.,false);
		}
	}
	else if(choice==7){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		mainSys.addObj(Vect({-10,0,0}),Vect({2,0,0}),5000000000000.,0.1,true);
		mainSys.frottement=.1;

		for(int i=0;i<500;i++){
			mainSys.addObj(randVect(10),randVect(1),1000000000.,0.,false);
		}
	}
	else if(choice==8){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		mainSys.frottement=.1;

		for(int i=0;i<50;i++){
			mainSys.addObj(randVect(2),Vect({0,0,0}),100.,0,false,rand(-.001,.001))->showPath=true;
		}
	}
	else if(choice==9){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,0,true);// un champ gravitaionnel
		mainSys.frottement=.005;

		Obj* ptr;
		ptr=mainSys.generatePendulum(Vect({50,20,0}),10,10,1);
		ptr->setdx({0,1,0});
		ptr->showPath=true;

		vector<Obj*> ptrlist;

		ptrlist=(mainSys.generatePendulum2(Vect({50,0,0}),10,10,1));
		ptrlist[0]->setdx({0,50,0});
		ptrlist[10]->showPath=true;
		ptrlist[10]->enableRotationForce(false);

		ptrlist=(mainSys.generatePendulum2(Vect({70,0,0}),10,10,1));
		ptrlist[0]->setdx({0,30,30});
		ptrlist[10]->showPath=true;
		ptrlist[10]->enableRotationForce(false);

		ptr=(mainSys.generatePendulum2(Vect({90,0,0}),10,10,1))[5];
		ptr->setdx({0,30,30});
		ptr->showPath=true;
		/*ptr003=(mainSys.generatePendulum3(Vect({50,-20,0}),10,10,1))[0];
		(*ptr003).setdx({0,50,0});*/

		ptr=mainSys.generatePendulum(Vect({50,-20,0}),10,8,1);
		ptr->setdx({-30,-20,-50});
		ptr->showPath=true;

		ptr=mainSys.generatePendulum(Vect({50,-20,0}),10,10,1);
		ptr->setdx({0,10,10});
		ptr->showPath=true;

		ptr=mainSys.generatePendulum(Vect({50,-40,0}),10,10,1);
		ptr->setdx({0,3,4});
		ptr->showPath=true;
	}
	else if(choice==10){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,0,true);// un champ gravitaionnel
		mainSys.frottement=.005;
		
		Obj* temp;
		for(int i=0;i<30;i++){
			temp=mainSys.generatePendulum(Vect({30,0.-1.*i,0}),10,10,0);
			(*temp).setdx({0,0,-i*1.+5});
		}
		for(int i=0;i<30;i++){
			temp=mainSys.generatePendulum(Vect({60,0.-1.*i,0}),i*.5,10,0);
			//(*temp).setdx({0,0,-i*.2});
		}
		for(int i=10;i<25;i++){
			/*temp=*/mainSys.generatePendulum2(Vect({0,0.-1.*i,0}),i*.5,10,0);
			//(*temp).setdx({0,0,-i*.2});
		}
	}
	else if(choice==11){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,0,true);// un champ gravitaionnel
		mainSys.frottement=.005;
	
		vector<Obj*> temp;
		for(int i=0;i<10;i++){
			for(int j=0;j<10;j++){
				temp.push_back( mainSys.generatePendulum(Vect({50+i*30.,j*20.,0}),10,10,0) );
				(*temp[temp.size()-1]).setdx({0,i*1.,j*1.});
				temp[temp.size()-1]->showPath=true;
			}
		}
	}
	else if(choice==12){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,0,true);// un champ gravitaionnel
		vector<Obj*> temp;
		mainSys.frottement=.005;
	
		for(int i=0;i<5;i++){
			for(int j=0;j<5;j++){
				temp.push_back( ( mainSys.generatePendulum2(Vect({50+i*30.,j*20.,0}),10,10,0) )[10] );
				(*temp[temp.size()-1]).setdx({0,i*.2+j*.2*5,0});
				temp[temp.size()-1]->showPath=true;
			}
		}
	}
	else if(choice==13){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,0,true);// un champ gravitaionnel
		mainSys.frottement=.005;

		for(int i=1;i<5;i++){
			for(int j=1;j<10;j++){
				Obj* ptr1;
				ptr1=mainSys.addObj({i*(5.+20),j*5.,0},{0,0,0},10,0);
				ptr1->showPath=true;
				ptr1->enableTranslationForce(false);
				Obj* ptr2;
				ptr2=mainSys.addObj({i*(10.+20),j*5.+1.,0},{0,0,0},10,0);
				ptr2->showPath=true;
				mainSys.addSpring((*ptr1),(*ptr2),j*1.,1.*i);
			}
		}
		//ptrtrace.push_back( mainSys.generatePendulum(Vect({50,-40,0}),10,10,1) );
		//(*ptrtrace[ptrtrace.size()-1]).setdx({0,3,4});
	}
	else if(choice==14){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);
		mainSys.frottement=.0;
		srand(time(NULL)); // initialisation de rand
		vector<Obj*> temp;
		int iCOUNT=5;
		int jCOUNT=5;
		temp = mainSys.generate(Vect({0,0,0}),Vect({(double)iCOUNT,(double)jCOUNT,5}),1,100,0,100,false,0,true,false,{0,1,0});
			(*temp[0+0]).enableTranslationForce(false);
			(*temp[(size_t)iCOUNT-1+0]).enableTranslationForce(false);
			//(*temp[0+((size_t)jCOUNT-1)*(size_t)iCOUNT]).enableTranslationForce(false);
			//(*temp[(size_t)iCOUNT-1+((size_t)jCOUNT-1)*(size_t)iCOUNT]).enableTranslationForce(false);
		//temp =mainSys.generate(Vect({0,0,0}),Vect({ (double) iCOUNT, (double) jCOUNT,2}),2.,10,0,25,false,0,false);
			//(*temp[0+0]).enableTranslationForce(false);
			//(*temp[(size_t)iCOUNT-1+0]).enableTranslationForce(false);
			//(*temp[0+((size_t)jCOUNT-1)*(size_t)iCOUNT]).enableTranslationForce(false);
			//(*temp[(size_t)iCOUNT-1+((size_t)jCOUNT-1)*(size_t)iCOUNT]).enableTranslationForce(false);
			
		//mainSys.addObj(Vect({0,0,5}),Vect({0,0,0}),10.,1,false);
		//mainSys.addSpring(*(mainSys.addObj(Vect({8.,0,0}),Vect({0,0,0}),100.,1)),*(temp[iCOUNT-1]),100,2);
		//mainSys.generatePendulum(Vect(3),10,10,1);

	}
	else if(choice==15){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=true;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);// un champ gravitaionnel
		
		for(int i=0;i<5;i++){
			for(int j=0;j<5;j++){
				(*(mainSys.addObj(Vect({10.*i,10.*j,1.*(i+j)}),Vect({0,0,0}),10.,5.,false))).enableTranslationForce(false);
			}
		}
		for(int i=0;i<30;i++){
			(*(mainSys.addObj(Vect({10,10,20.*i+20.*sin(i/30.*4*PI)}),Vect({0,0,0}),20.,5.,false))).enableTranslationForce(true);
		}
	}
	else if(choice==16){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=true;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,0,true);// un champ gravitaionnel
		mainSys.frottement=.005;

		Obj* ptr1;
		ptr1=mainSys.addObj({5.,0,0},{0,0,0},10,0);
		ptr1->enableTranslationForce(false);
		Obj* ptr2;
		ptr2=mainSys.addObj({5.,-5,0},{0,0,0},10,1);
		mainSys.addSpring((*ptr1),(*ptr2),100.,5.);
		for(int i=1;i<5;i++){
				Obj* ptr1;
				ptr1=mainSys.addObj({5.,i*2.05,0},{0,0,0},10,0);
				ptr1->enableTranslationForce(false);
				Obj* ptr2;
				ptr2=mainSys.addObj({5.,i*2.05,-5},{0,0,0},10,1);
				//ptr2->enableRotationForce(false);
				mainSys.addSpring((*ptr1),(*ptr2),100.,5.);
		}
	}
	else if(choice==17){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,0,true);// un champ gravitaionnel
		mainSys.frottement=.005;

		Obj* ptr1;
		ptr1= (mainSys.addObj({4*(5.),9*5.,0},{0,0,0},10,0));
		//ptr1->showPath=true;
		ptr1->enableTranslationForce(false);
		
		Obj* ptr2;
		ptr2=(mainSys.addObj({4*(10.),9*5.+1.,0},{0,0,0},10,0));
		ptr2->setT(.2);
		ptr2->showPath=true;
		mainSys.addSpring((*ptr1),(*ptr2),9*1.,1.*4);


		//ptrtrace.push_back( mainSys.generatePendulum(Vect({50,-40,0}),10,10,1) );
		//(*ptrtrace[ptrtrace.size()-1]).setdx({0,3,4});
	}
	else if(choice==18){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		for(int i=1;i<5;i++){
			for(int j=1;j<10;j++){
				Obj* ptr1;
				ptr1=(mainSys.addObj({i*(5.+20),j*5.,0},{0,0,0},10,0));
				ptr1->enableTranslationForce(false);
				
				Obj* ptr2;
				ptr2=(mainSys.addObj({i*(10.+20),j*5.+1.,0},{0,0,0},10,0));
				ptr2->setT(.2);
				ptr2->showPath=true;
				mainSys.addSpring((*ptr1),(*ptr2),j*1.,1.*i);

			}
		}
	}
	else if(choice==19){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,0,true);// un champ gravitaionnel
		mainSys.frottement=.005;
		for(int i=0;i<5;i++){
			for(int j=0;j<5;j++){
				Obj* ptr;
				ptr=( ( mainSys.generatePendulum2(Vect({0.,0.,0}),10,10,0) )[10] );
				(*ptr).setdx({i*.2+j*.2*5,0,0});
				ptr->showPath=true;
			}
		}
	}
	else if(choice==20){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,0,true);// un champ gravitaionnel
		mainSys.frottement=.005;
		for(int i=0;i<5;i++){
			for(int j=0;j<5;j++){
				Obj* ptr;
				ptr=( ( mainSys.generatePendulum2(Vect({0.,0.,0}),10,10,0) )[10] );
				(*ptr).setdx({i*.2+j*.2*5,i*.2+j*.2*5,0});
				ptr->showPath=true;
			}
		}
	}
	else if(choice==21){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,0,true);// un champ gravitaionnel
		mainSys.frottement=.005;

		vector<Obj*> ptr;
		for(int i=0;i<5;i++){
			for(int j=0;j<5;j++){
				ptr.push_back( ( mainSys.generatePendulum2(Vect({0.,0.,0}),10,10,0) )[10] );
				(*ptr[ptr.size()-1]).setdx({0,i*.2+j*.2*5,0});
				(*ptr[ptr.size()-1]).showPath=true;
			}
		}
		cam.setFollow(*ptr[8]);
		cam.theta=-90;
		//ptrtrace.push_back( mainSys.generatePendulum(Vect({50,-40,0}),10,10,1) );
		//(*ptrtrace[ptrtrace.size()-1]).setdx({0,3,4});
	}
	else if(choice==22){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		//mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);// un champ gravitaionnel
		mainSys.frottement=.1;
		mainSys.addObj(Vect({0,0,0}),Vect({0,0,0}),500000000000.,0.1,true);
		for(int i=0;i<500;i++){
			Obj* ptr(mainSys.addObj(Vect({rand(0,10)*cos(rand(0,2*PI)),rand(0,10)*cos(rand(0,2*PI)),rand(-1,1)}),
										Vect({0,0,0}),1000000000.,0.,false) );
			Vect vit(ptr->getX());
			vit=Vect({-vit.get(1),vit.get(0),vit.get(2)});
			ptr->setdx(vit/2.);
		}
	}
	else if(choice==23){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		//mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);// un champ gravitaionnel
		mainSys.frottement=.1;
		mainSys.addObj(Vect({0,0,0}),Vect({0,0,0}),500000000000.,0.1,true);
		for(int i=0;i<300;i++){
			Obj* ptr(mainSys.addObj(Vect({rand(2,10)*cos(rand(0,2*PI)),rand(2,10)*cos(rand(0,2*PI)),rand(-1,1)}),
										Vect({0,0,0}),1000000000.,0.,false) );
			Vect vit(ptr->getX());
			vit=Vect({-vit.get(1),vit.get(0),vit.get(2)});
			ptr->setdx(vit/2.);
			ptr->showPath=true;
		}
	}
	else if(choice==24){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=true;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);// un champ gravitaionnel
		for(int i=0;i<5;i++){
				mainSys.generatePendulum(Vect({10,i*1.,0}), 5, 10, .5);
		}
		ObjCG* pt(mainSys.addObj(Vect({10,-1.,0})+Vect({5}),Vect(3),1,0));
		(*pt).enableTranslationForce(false);
		Obj* pt2(mainSys.addObj(Vect({10+5,-1.-5,0}),Vect(3), 10, .5, false, 0,true));
		((Spring*)(mainSys.addSpring(*pt2,(*pt),500,5)))->amorti=false;
	}
	else if(choice==25){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		/*for(int i=0;i<2500;i++){
			mainSys.addObj(Vect({rand(-50,50),rand(-50,100),rand(-50,50)}),randVect(.5,3),10,0);
		}*/
		for(int i=0;i<20000;i++){
			mainSys.addDisp(new Obj(randVect(500.,3),1));
		}
		string HELLO="LET'S PLAY STAR WARS !";
		mainSys.addDisp(new String3d(HELLO,1,0,0,.1));
	}
	else if(choice==26){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		mainSys.addVentillateur(Vect({0,0,0}),1., 10,1);
		for(int i=0;i<30;i++){
			//Obj* ptr;
			Obj* ptr(mainSys.addObj(Vect({3*cos(i/30.*2*PI),3*sin(i/30.*2*PI),0}),Vect(0),10, .25,false));
			ptr->enableTranslationForce(false);
		}
	}else if(choice==27){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		vector<Obj*> temp;
		int iCOUNT=5;
		int jCOUNT=5;
		temp = mainSys.generate(Vect({0,0,0}),Vect({(double)iCOUNT,(double)jCOUNT,5}),1,100,0,100,false,0,true,false);
			//(*temp[0+0]).enableTranslationForce(false);
			(*temp[(size_t)iCOUNT-1+0]).enableTranslationForce(false);
			(*temp[0+((size_t)jCOUNT-1)*(size_t)iCOUNT]).enableTranslationForce(false);
			//(*temp[(size_t)iCOUNT-1+((size_t)jCOUNT-1)*(size_t)iCOUNT]).enableTranslationForce(false);
		//temp =mainSys.generate(Vect({0,0,0}),Vect({ (double) iCOUNT, (double) jCOUNT,2}),2.,10,0,25,false,0,false);
			//(*temp[0+0]).enableTranslationForce(false);
			//(*temp[(size_t)iCOUNT-1+0]).enableTranslationForce(false);
			//(*temp[0+((size_t)jCOUNT-1)*(size_t)iCOUNT]).enableTranslationForce(false);
			//(*temp[(size_t)iCOUNT-1+((size_t)jCOUNT-1)*(size_t)iCOUNT]).enableTranslationForce(false);
			
		//mainSys.addObj(Vect({0,0,5}),Vect({0,0,0}),10.,1,false);
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);
		//mainSys.addSpring(*(mainSys.addObj(Vect({8.,0,0}),Vect({0,0,0}),100.,1)),*(temp[iCOUNT-1]),100,2);
		//mainSys.generatePendulum(Vect(3),10,10,1);

		mainSys.frottement=.0;
	}else if(choice==28){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		vector<Obj*> temp;
		int iCOUNT=10;
		int jCOUNT=10;
		temp = mainSys.generate(Vect({0,0,0}),Vect({(double)iCOUNT,(double)jCOUNT,1}),1,100,0,100,false,0,true,false);
			(*temp[0+0]).enableTranslationForce(false);
			(*temp[(size_t)iCOUNT-1+0]).enableTranslationForce(false);
			(*temp[0+((size_t)jCOUNT-1)*(size_t)iCOUNT]).enableTranslationForce(false);
			(*temp[(size_t)iCOUNT-1+((size_t)jCOUNT-1)*(size_t)iCOUNT]).enableTranslationForce(false);
		//temp =mainSys.generate(Vect({0,0,0}),Vect({ (double) iCOUNT, (double) jCOUNT,2}),2.,10,0,25,false,0,false);
			//(*temp[0+0]).enableTranslationForce(false);
			//(*temp[(size_t)iCOUNT-1+0]).enableTranslationForce(false);
			//(*temp[0+((size_t)jCOUNT-1)*(size_t)iCOUNT]).enableTranslationForce(false);
			//(*temp[(size_t)iCOUNT-1+((size_t)jCOUNT-1)*(size_t)iCOUNT]).enableTranslationForce(false);
			
		//mainSys.addObj(Vect({0,0,5}),Vect({0,0,0}),10.,1,false);
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);
		//mainSys.addSpring(*(mainSys.addObj(Vect({8.,0,0}),Vect({0,0,0}),100.,1)),*(temp[iCOUNT-1]),100,2);
		//mainSys.generatePendulum(Vect(3),10,10,1);

		mainSys.frottement=.0;
	}else if(choice==29){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		vector<Obj*> temp;
		int iCOUNT=10;
		int jCOUNT=10;

		temp = mainSys.generate(Vect({0,0,0}),Vect({(double)iCOUNT,(double)jCOUNT,1}),1,100,0,100,false,0,true,false);
			(*temp[0+0]).enableTranslationForce(false);
			(*temp[(size_t)iCOUNT-1+0]).enableTranslationForce(false);
			(*temp[0+((size_t)jCOUNT-1)*(size_t)iCOUNT]).enableTranslationForce(false);
			//(*temp[(size_t)iCOUNT-1+((size_t)jCOUNT-1)*(size_t)iCOUNT]).enableTranslationForce(false);


		//temp =mainSys.generate(Vect({0,0,0}),Vect({ (double) iCOUNT, (double) jCOUNT,2}),2.,10,0,25,false,0,false);
			//(*temp[0+0]).enableTranslationForce(false);
			//(*temp[(size_t)iCOUNT-1+0]).enableTranslationForce(false);
			//(*temp[0+((size_t)jCOUNT-1)*(size_t)iCOUNT]).enableTranslationForce(false);
			//(*temp[(size_t)iCOUNT-1+((size_t)jCOUNT-1)*(size_t)iCOUNT]).enableTranslationForce(false);
			
		//mainSys.addObj(Vect({0,0,5}),Vect({0,0,0}),10.,1,false);
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);
		//mainSys.addSpring(*(mainSys.addObj(Vect({8.,0,0}),Vect({0,0,0}),100.,1)),*(temp[iCOUNT-1]),100,2);
		//mainSys.generatePendulum(Vect(3),10,10,1);

		mainSys.frottement=.0;
		
	}else if(choice==30){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		vector<Obj*> temp;
		int iCOUNT=10;
		int jCOUNT=10;
		temp = mainSys.generate(Vect({0,0,0}),Vect({(double)iCOUNT,(double)jCOUNT,1}),1,100,0,100,false,0,true,false);
			//(*temp[0+0]).enableTranslationForce(false);
			(*temp[(size_t)iCOUNT-1+0]).enableTranslationForce(false);
			(*temp[0+((size_t)jCOUNT-1)*(size_t)iCOUNT]).enableTranslationForce(false);
			//(*temp[(size_t)iCOUNT-1+((size_t)jCOUNT-1)*(size_t)iCOUNT]).enableTranslationForce(false);



		//temp =mainSys.generate(Vect({0,0,0}),Vect({ (double) iCOUNT, (double) jCOUNT,2}),2.,10,0,25,false,0,false);
			//(*temp[0+0]).enableTranslationForce(false);
			//(*temp[(size_t)iCOUNT-1+0]).enableTranslationForce(false);
			//(*temp[0+((size_t)jCOUNT-1)*(size_t)iCOUNT]).enableTranslationForce(false);
			//(*temp[(size_t)iCOUNT-1+((size_t)jCOUNT-1)*(size_t)iCOUNT]).enableTranslationForce(false);
			
		//mainSys.addObj(Vect({0,0,5}),Vect({0,0,0}),10.,1,false);
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);
		//mainSys.addSpring(*(mainSys.addObj(Vect({8.,0,0}),Vect({0,0,0}),100.,1)),*(temp[iCOUNT-1]),100,2);
		//mainSys.generatePendulum(Vect(3),10,10,1);

		mainSys.frottement=.0;
		
	}else if(choice==31){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		srand(time(NULL)); // initialisation de rand
		vector<Obj*> temp;
		int iCOUNT=10;
		int jCOUNT=10;

		temp = mainSys.generate(Vect({0,0,0}),Vect({(double)iCOUNT,(double)jCOUNT,1}),1,100,0,100,false,0,true,false);
			//(*temp[0+0]).enableTranslationForce(false);
			(*temp[(size_t)iCOUNT-1+0]).enableTranslationForce(false);
			//(*temp[0+((size_t)jCOUNT-1)*(size_t)iCOUNT]).enableTranslationForce(false);
			//(*temp[(size_t)iCOUNT-1+((size_t)jCOUNT-1)*(size_t)iCOUNT]).enableTranslationForce(false);


		//temp =mainSys.generate(Vect({0,0,0}),Vect({ (double) iCOUNT, (double) jCOUNT,2}),2.,10,0,25,false,0,false);
			//(*temp[0+0]).enableTranslationForce(false);
			//(*temp[(size_t)iCOUNT-1+0]).enableTranslationForce(false);
			//(*temp[0+((size_t)jCOUNT-1)*(size_t)iCOUNT]).enableTranslationForce(false);
			//(*temp[(size_t)iCOUNT-1+((size_t)jCOUNT-1)*(size_t)iCOUNT]).enableTranslationForce(false);
			
		//mainSys.addObj(Vect({0,0,5}),Vect({0,0,0}),10.,1,false);
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);
		//mainSys.addSpring(*(mainSys.addObj(Vect({8.,0,0}),Vect({0,0,0}),100.,1)),*(temp[iCOUNT-1]),100,2);
		//mainSys.generatePendulum(Vect(3),10,10,1);

		mainSys.frottement=.0;

		
	}else if(choice==32){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		vector<Obj*> temp;
		int iCOUNT=9;
		int jCOUNT=9;

		temp = mainSys.generate(Vect({0,0,0}),Vect({(double)iCOUNT,(double)jCOUNT,9}),1,10000,2,100,false,0,true,true);
			(*temp[0+0]).enableTranslationForce(false);
			//(*temp[(size_t)iCOUNT-1+0]).enableTranslationForce(false);
			//(*temp[0+((size_t)jCOUNT-1)*(size_t)iCOUNT]).enableTranslationForce(false);
			//(*temp[(size_t)iCOUNT-1+((size_t)jCOUNT-1)*(size_t)iCOUNT]).enableTranslationForce(false);


		//temp =mainSys.generate(Vect({0,0,0}),Vect({ (double) iCOUNT, (double) jCOUNT,2}),2.,10,0,25,false,0,false);
			//(*temp[0+0]).enableTranslationForce(false);
			//(*temp[(size_t)iCOUNT-1+0]).enableTranslationForce(false);
			//(*temp[0+((size_t)jCOUNT-1)*(size_t)iCOUNT]).enableTranslationForce(false);
			//(*temp[(size_t)iCOUNT-1+((size_t)jCOUNT-1)*(size_t)iCOUNT]).enableTranslationForce(false);
			
		//mainSys.addObj(Vect({0,0,5}),Vect({0,0,0}),10.,1,false);
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);
		//mainSys.addSpring(*(mainSys.addObj(Vect({8.,0,0}),Vect({0,0,0}),100.,1)),*(temp[iCOUNT-1]),100,2);
		//mainSys.generatePendulum(Vect(3),10,10,1);

		mainSys.frottement=.0;
		
	}else if(choice==33){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		(mainSys.addVentillateur(Vect({0,0,0}),10., 10,1))->setMCin({0,0.,2.});

		for(int i=0;i<30;i++){
			mainSys.addObj(Vect({3*cos(i/30.*2*PI),3*sin(i/30.*2*PI),0}),Vect(0),10, .025,false);
		}
	}else if(choice==34){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);

		Obj* ptr1(mainSys.addObj(Vect{0,0,0},Vect(3),1,0,false));
		ptr1->enableTranslationForce(false);
		Obj* ptr2(mainSys.addObj(Vect({0,11,1}),Vect(3),10,1,false));
		mainSys.addSpringAttach(*ptr1,*ptr2,Vect(3),Vect({0,-1,0}),100.,10.,false);
		
	}else if(choice==35){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=true;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);

		Obj* ptr1(mainSys.addObj(Vect{0,0,0},Vect(3),1,.5,false));
		ptr1->enableTranslationForce(false);
		Obj* ptr2(mainSys.addObj(Vect({0,1,3}),Vect(3),10,1,false));

		
	}else if(choice==36){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		mainSys.collisionBool=false;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);

		mainSys.generatePendulum2({0,0,0},10,10,1);
	}else if(choice==37){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=true;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);// un champ gravitaionnel
		mainSys.frottement=.0;

		for(int i=0;i<5;i++){
			for(int j=0;j<5;j++){
				Obj* ptr((mainSys.addObj(Vect({10.*i,10.*j,1.*(i+j)}),Vect({0,0,0}),10.,5.,false)));
				ptr->enableTranslationForce(false);
			}
		}
		for(int i=0;i<5;i++){
			for(int j=0;j<5;j++){
				mainSys.addObj(Vect({10.*i,10.*j,20+5.}),Vect({0,0,0}),10.,1.,false);
			}
		}
	}else if(choice==38){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=true;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);// un champ gravitaionnel
		mainSys.frottement=.0;

		((mainSys.addObj(Vect({0,0,0}),Vect({0,0,0}),10.,5.,false)))->enableTranslationForce(false);
		
		mainSys.addObj(Vect({0,0.05,6}),Vect({0,0,0}),10.,1.,false);
		
	}else if(choice==39){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=true;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);// un champ gravitaionnel
		mainSys.frottement=.0;

		((mainSys.addObj(Vect({0,0,0}),Vect({0,0,0}),10.,10.,false)))->enableTranslationForce(false);
		mainSys.addObj(Vect({0,0.05,10 +5 }),Vect({0,0,0}),10.,5.,false);
		mainSys.addObj(Vect({0,0.00,10 +5+5 +2.5}),Vect({0,0,0}),10.,2.5,false);
		mainSys.addObj(Vect({0,0.05,10 +5+5 +2.5+2.5 + 2.5/2}),Vect({0,0,0}),10.,2.5/2.,false);
		
	}else if(choice==40){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=true;
		//mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);// un champ gravitaionnel
		mainSys.frottement=.0;

		vector<Obj*> temp;
		temp = mainSys.generate(Vect({0,0,0}),Vect({30,2.,2}),1,100,0,100,false,0,true,false);
		temp[0]->setdx({0,0,10});
	}else if(choice==41){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=true;
		//mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);// un champ gravitaionnel
		mainSys.frottement=.0;

		vector<Obj*> temp;
		temp = mainSys.generate(Vect({0,0,0}),Vect({30,2.,2}),1,100,0,100,false,0,true,false);
		temp[0]->setdx({10,0,0});
	}else if(choice==42){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=true;
		//mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);// un champ gravitaionnel
		mainSys.frottement=.0;

		vector<Obj*> temp;
		temp = mainSys.generate(Vect({0,0,0}),Vect({120,1.,1}),.1,50,0,100,false,0,true,false);
		temp[59]->setX({.1*60,0,.5});
		temp[60]->setX({.1*60,0,1});
		temp[61]->setX({.1*60,0,.5});
		temp[0]->enableTranslationForce(false);
		temp[119]->enableTranslationForce(false);
	}else if(choice==43){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=true;
		//mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);// un champ gravitaionnel
		mainSys.frottement=.0;

		vector<Obj*> temp;
		temp = mainSys.generate(Vect({0,0,0}),Vect({120,1.,1}),.1,50,0,100,false,0,true,false);
		temp[58]->setX({.1*58,0,.1});
		temp[59]->setX({.1*59,0,.3});
		temp[60]->setX({.1*60,0,.5});
		temp[61]->setX({.1*61,0,.3});
		temp[62]->setX({.1*62,0,.1});
		temp[0]->enableTranslationForce(false);
		temp[119]->enableTranslationForce(false);
	}else if(choice==44){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=true;
		//mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);// un champ gravitaionnel
		mainSys.frottement=.0;

		vector<Obj*> temp;
		temp = mainSys.generate(Vect({0,0,0}),Vect({120,1.,1}),.1,50,0,100,false,0,true,false);
		temp[58]->setX({.1*58,.1,.1});
		temp[59]->setX({.1*59,.2,.3});
		temp[60]->setX({.1*60,0,.5});
		temp[61]->setX({.1*61,-.2,.3});
		temp[62]->setX({.1*62,-.1,.1});
		temp[0]->enableTranslationForce(false);
		temp[119]->enableTranslationForce(false);
	}else if(choice==45){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		(mainSys.addVentillateur(Vect({0,0,0}),10., 10,1))->setMCin({0,0.,2.});

		for(int j=0;j<5;j++){
			for(int i=0;i<120;i++){
					mainSys.addObj(Vect({j*.5*cos(i/20.*PI),j*.5*sin(i/20.*PI),i*5./240.-30*5./240}),Vect(0),10, .0,false);
			}
		}
	}else if(choice==46){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		(mainSys.addVentillateur(Vect({0,0,0}),10., 10,1))->setMCin({0,0.,2.});

		mainSys.generate(Vect({2,0,0}),Vect({1.,60.,1}),.1,50,0,100,false,0,true,false);
	}else if(choice==47){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		(mainSys.addVentillateur(Vect({0,0,0}),10., 10,1))->setMCin({0,0.,2.});

		mainSys.generate(Vect({2,0,0}),Vect({2.,60.,2}),.1,200,0,100,false,0,true,false);
	}
	else if(choice==48){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=true;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);// un champ gravitaionnel
		
		for(int i=0;i<5;i++){
			for(int j=0;j<5;j++){
				Obj* ptr((mainSys.addVentillateur(Vect({10.*i,10.*j,1.*(i+j)}),100.,10.,5)));
				ptr->enableTranslationForce(false);
				ptr->setAng(randVect(1,3));
			}
		}
		for(int i=1;i<10;i++){
			(*(mainSys.addVentillateur(Vect({25/2.,25/2.,50})+randVect(10,3),100., 10,3))).setMCin(randVect(5,3));
		}
	}
	else if(choice==49){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=true;
		
		for(int i=1;i<30;i++){
			(*(mainSys.addVentillateur(randVect(30,3),100., .1,3))).setMCin(randVect(5,3));
		}
	}else if(choice==50){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=true;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,0,true);
		mainSys.frottement=.0;

		((mainSys.addObj(Vect({0,0,0}),Vect({0,0,0}),10.,10.,false)))->enableTranslationForce(false);
		mainSys.addObj(Vect({0,0.05,10 +5 }),Vect({0,0,0}),10.,5.,false);
		mainSys.addObj(Vect({0,0.00,10 +5+5 +2.5}),Vect({0,0,0}),10.,2.5,false);
		mainSys.addObj(Vect({0,0.05,10 +5+5 +2.5+2.5 + 2.5/2}),Vect({0,0,0}),10.,2.5/2.,false);
		
	}else if(choice==51){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=true;
		mainSys.addObstacle(Vect(3),{1,1,1},10)->enableTranslationForce(false);
		mainSys.addObj(Vect({1.5,0,5}),{0,0,-1},10,1);
	}else if(choice==52){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		for(int i=0;i<100;i++){
			Vect vitesse({rand(0,10),rand(0,10),rand(0,10)});
			mainSys.addObj(Vect({0,0,0}),vitesse,1000000000,0.,false);
		}
		for(int i=0;i<3;i++){
			double mass = rand(5000000000000,50000000000000);
			mainSys.addObj(randVect(30.,3),Vect(3),mass,.5*mass/5000000000000.,true);
		}
	}else if(choice==53){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		for(int i=0;i<100;i++){
			Vect vitesse({rand(0,10),rand(0,10),rand(0,10)});
			mainSys.addObj(Vect({0,0,0}),vitesse,1000000000,0.,false)->showPath=true;
		}
		for(int i=0;i<3;i++){
			double mass = rand(5000000000000,50000000000000);
			mainSys.addObj(randVect(30.,3),Vect(3),mass,.5*mass/5000000000000.,true)->showPath=true;
		}
	}else if(choice==54){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		for(int i=0;i<100;i++){
			Vect vitesse({rand(0,10),rand(0,10),rand(0,10)});
			mainSys.addObj(Vect({0,0,0}),vitesse,1000000000,0.,false);
		}
		for(int i=0;i<3;i++){
			double mass = rand(5000000000000,50000000000000);
			mainSys.addObj(randVect(30.,3),Vect(3),mass,.5*mass/5000000000000.,true)->enableTranslationForce(false);
		}
	}else if(choice==55){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		//mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);// un champ gravitaionnel
		
		Obj* ptr;
		ptr=mainSys.addVentillateur(Vect({0,0,0}),10., 10,1);
		ptr->setMCin({0,0.,2.});
		ptr->setAng({0,0,PI});
		ptr->enableTranslationForce(false);
		
		vector<Obj*> ptrtab;
		unsigned int size=20;
		ptrtab = mainSys.generate(Vect({2,0,-2}),Vect({1.,size*1.,size*1.}),.25,300,2,100,false,0,true,false,false);
		ptrtab[size*size-1]->enableTranslationForce(false);
		ptrtab[size*size-size]->enableTranslationForce(false);
		ptrtab[0]->enableTranslationForce(false);
		ptrtab[size-1]->enableTranslationForce(false);
	}else if(choice==56){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		//mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);// un champ gravitaionnel
		
		mainSys.addObjLife(Vect(3), Vect(3), 100, 3,20);
	}else if(choice==57){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=true;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);// un champ gravitaionnel
		
		mainSys.addObj(Vect({0,0,6}),Vect(3),10,3.);
		mainSys.addObjLife(Vect(3), Vect(3), 100, 3,20)->enableTranslationForce(false);
	}else if(choice==58){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=false;
		for(int i=0;i<100;i++){
			mainSys.addObjLife(Vect({i*6.,0,0}), Vect(3), 100, 3,10);
		}
	}else if(choice==59){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);// un champ gravitaionnel
		mainSys.collisionBool=false;
		mainSys.archimedBool=true;
		for(int i=1;i<10;i++){
			for(int j=0;j<10;j++){
				mainSys.addObj(Vect({i*20.,j*20.,0}), Vect(3), i*10000., j*2.,false);
			}
		}
	}else if(choice==60){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=true;
		mainSys.addObstacle(Vect(3),{10,1,1},10)->enableTranslationForce(false);
		for(int i=0;i<30;i++)	mainSys.addObj(Vect({i*2.-15,0,10}),{0,0,-2.},10,1);
	}else if(choice==61){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=true;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);// un champ gravitaionnel

		mainSys.addObstacle(Vect(3),{10,2,1},30)->enableTranslationForce(false);
		mainSys.addObj(Vect({-5,0,10}),{0,0,-2.},10,1);
		mainSys.addObj(Vect({10,2,0}),{0.,-2,0},10,1);
	}else if(choice==62){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=true;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);// un champ gravitaionnel

		mainSys.addObstacle(Vect(3),{10,10,10},30)->enableTranslationForce(false);
		for(int i=0;i<40;i++){
					mainSys.addObj(Vect({rand(-10,10),rand(-10,10),rand(10,12)}),{0,0,0},10,1);
		}
		//mainSys.addObj(Vect({-5,0,10}),{0,0,-2.},10,1);
		//mainSys.addObj(Vect({10,2,0}),{0.,-2,0},10,1);
	}else if(choice==63){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=true;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);// un champ gravitaionnel

		mainSys.addObstacle(Vect(3),{10,10,1},100)->enableTranslationForce(false);
		for(int i=0;i<40;i++){
					mainSys.addObj(Vect({rand(-10,10),rand(-10,10),rand(10,12)}),{0,0,0},10,1);
		}
		//mainSys.addObj(Vect({-5,0,10}),{0,0,-2.},10,1);
		//mainSys.addObj(Vect({10,2,0}),{0.,-2,0},10,1);
	}else if(choice==64){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=true;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);// un champ gravitaionnel

		Obj* ptr =mainSys.addObstacle(Vect(3),{10,10,1},100);
		ptr->enableTranslationForce(false);
		ptr->enableRotationForce(false);
		for(int i=0;i<40;i++){
					mainSys.addObj(Vect({rand(-10,10),rand(-10,10),rand(10,12)}),{0,0,0},10,1);
		}
		//mainSys.addObj(Vect({-5,0,10}),{0,0,-2.},10,1);
		//mainSys.addObj(Vect({10,2,0}),{0.,-2,0},10,1);
	}else if(choice==65){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=true;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);// un champ gravitaionnel

		Obj* ptr =mainSys.addObstacle(Vect(3),{1000,1000,1},100);
		ptr->enableTranslationForce(false);
		ptr->enableRotationForce(false);
		ptr->setAng({PI/16.,0,0});
		for(int i=0;i<40;i++){
					mainSys.addObj(Vect({rand(-10,10),rand(-10,10),rand(10,12)}),{0,0,0},10,1);
		}
	}else if(choice==66){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=true;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);// un champ gravitaionnel
		for(int i=0;i<10;i++){
			Obj* ptr =mainSys.addObstacle(randVect(20.,3),{10,10,.2},100);
			ptr->enableTranslationForce(false);
			ptr->enableRotationForce(false);
			ptr->setAng(randVect(10.,3));
		}
		for(int i=0;i<40;i++){
					mainSys.addObj(Vect({rand(-10,10),rand(-10,10),rand(10,12)}),{0,0,0},10,1);
		}
	}else if(choice==67){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=true;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);// un champ gravitaionnel
		for(int i=0;i<40;i++){
			Obj* ptr =mainSys.addObstacle(randVect(20.,3),{10,10,.2},100);
			ptr->enableTranslationForce(false);
			ptr->enableRotationForce(false);
			ptr->setAng(randVect(10.,3));
		}
		for(int i=0;i<10;i++){
					mainSys.addObj({0,0,20+i*2.},{0,0,0},10,1);
		}
	}else if(choice==68){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=true;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);// un champ gravitaionnel
		for(int i=0;i<40;i++){
			Obj* ptr =mainSys.addObstacle({i*10.,0,-i*10.},{10,10,.2},100);
			ptr->enableTranslationForce(false);
			//ptr->enableRotationForce(false);
			ptr->setAng(randVect(10.,3));
		}
		for(int i=0;i<10;i++){
					mainSys.addObj({0,0,20+i*2.},{0,0,0},10,1);
		}
	}else if(choice==69){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=true;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,/*60000000,true);*/0,true);// un champ gravitaionnel
		for(int i=0;i<30;i++){
			Obj* ptr =mainSys.addObstacle({0,0,-i*4.},{1+i*2.,1+i*2.,.2},100);
			ptr->enableTranslationForce(false);
			//ptr->enableRotationForce(false);
			ptr->setAng(randVect(10.,3));
		}
		for(int i=0;i<10;i++){
					mainSys.addObj({rand(-20,20),rand(-20,20),20+i*2.},{0,0,0},20,3);
		}
	}else if(choice==70){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=true;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,0,true);// un champ gravitaionnel
		mainSys.frottement=.005;

		Obj* ptr1;
		Obj* ptr2;
		for(int i=1;i<2;i++){
				Obj* ptr1;
				ptr1=mainSys.addObj({5.,2.,0},{0,0,0},10,0);
				ptr1->enableTranslationForce(false);
				Obj* ptr2;
				ptr2=mainSys.addObj({5.,2.,-30},{0,0,0},10,10);
				//ptr2->enableRotationForce(false);
				mainSys.addSpring((*ptr1),(*ptr2),100.,30.);
		}
		for(int i=0;i<50;i++){
				ptr2=mainSys.addObj(randVect(20,3)+Vect({0,0,-30}),randVect(20,3),10,1);
		}
	}else if(choice==71){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=true;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,0,true);// un champ gravitaionnel
		mainSys.frottement=.005;

		vector<Obj*> tab;

		Obj* obstacle = mainSys.addObstacle({0,0,0},{5,5,.2},100);
		obstacle->enableTranslationForce(false);
		for(int i=0;i<10;i++){
			tab.push_back(mainSys.addObj({rand(-5,5),rand(-5,5),rand(-2,-3)},{0,0,0},10,1));
		}
		for(int i=0;i<10;i++){
			mainSys.addSpringAttach(*tab[i],*obstacle,{0,0,0},{rand(-5,5),rand(-5,5),0},100, 10, false);
		}
	}else if(choice==72){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=true;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,0,true);// un champ gravitaionnel
		mainSys.frottement=.005;

		vector<Obj*> tab;

		Obj* obstacle = mainSys.addObstacle({0,0,0},{5,5,.2},100);
		obstacle->enableTranslationForce(false);
		for(int i=0;i<10;i++){
			tab.push_back(mainSys.addObj({rand(-5,5),rand(-5,5),rand(-2,-3)},{0,0,0},10,1));
		}
		for(int i=0;i<10;i++){
			mainSys.addSpringAttach(*tab[i],*obstacle,{0,0,0},{rand(-5,5),rand(-5,5),0},100, 10, false);
		}
	}else if(choice==73){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=true;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,0,true);// un champ gravitaionnel
		mainSys.frottement=.005;

		vector<Obj*> tab;

		tab.push_back(mainSys.addObj({0,0,0},{0,0,0},10,1));
		tab.push_back(mainSys.addObj({0,10,0},{0,0,0},10,2.));
		tab.push_back(mainSys.addObj({0,-10,0},{0,0,0},10,1));

		tab[1]->setAng({PI/8,0,0});

		mainSys.addSpringAttach(*tab[0],*tab[1],{0,0,0},{0,1,0},100, 10, false);
		mainSys.addSpringAttach(*tab[2],*tab[1],{0,0,0},{0,-1,0},100, 10, false);
	}else if(choice==74){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=true;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,0,true);// un champ gravitaionnel
		mainSys.frottement=.005;

		vector<Obj*> tab;

		for(int i=0;i<16;i++){
			tab.push_back(mainSys.addObj({0,i*3.,0},{0,0,0},10,1));	
		}

		tab[0]->enableTranslationForce(false);

		for(int i=1;i<16;i++){
			mainSys.addSpringAttach(*tab[i-1],*tab[i],{0,1,0},{0,-1,0},100, 3-1-1, false);
		}
	}else if(choice==75){
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		//##################################################################################################################################################################################
		mainSys.collisionBool=true;
		mainSys.addObj(Vect({0,0,-60000005}),Vect({0,0,0}),59000000000000000000000000.,0,true);// un champ gravitaionnel
		mainSys.frottement=.005;

		Obj* obstacle = mainSys.addObstacle({0,0,0},{10,10,10},100);
		obstacle->enableTranslationForce(false);
		for(int i=0;i<10;i++){
			mainSys.addObj({rand(-5,5),rand(-5,5),rand(-5,5)},{0,0,0},10,1);
		}
		
	}else{

	}
	

}
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////





//CONSTR---


OpenGLView::OpenGLView(Fenetre* parent, wxSize const& taille, wxPoint const& position):
wxGLCanvas(parent, wxID_ANY, position, taille, wxSUNKEN_BORDER|wxFULL_REPAINT_ON_RESIZE , wxT(""))
//,musicPlayer("music.wav"/*bool isResource = false*/)
,parent(parent),mainSys(1,superTabObj, superTabCharg,Vect({0,0,0}),Vect({0,0,0}),true )
,selectTool(0),mouseMod(true),stereoscopy(false),compteurTimer(0), timer(new wxTimer(this, TIMER_ID)){
	srand(time(NULL)); // initialisation de rand
	mainSys.frottement=.0;
	selectTool=vector<int>(100,0);
	dispInformation=false;
	dispFace=true;
	infoPLUS=false;

	//musicPlayer = NULL;
	//musicPlayer=new wxSound();
	//musicPlayer->Create(WAV_FILE,false);
	//musicPlayer->Play(wxSOUND_ASYNC | wxSOUND_LOOP);
}







Fenetre::Fenetre( wxString const& titre, wxSize const& taille, wxPoint const& position, long style): wxFrame(0, wxID_ANY, titre, position, taille, style), fogl(new OpenGLView(this)){
    // Barre de menu
    /*wxMenu* winMenu = new wxMenu;    winMenu->Append(wxID_EXIT, wxT("&Close"));
    wxMenuBar* menuBar = new wxMenuBar;    menuBar->Append(winMenu, wxT("&Window"));
    SetMenuBar(menuBar);*/
	Centre(wxBOTH);
	ShowFullScreen(true,wxFULLSCREEN_ALL);


    Show(true);// montre la fenetre
    fogl->InitOpenGL();// Initialise OpenGL
}


