#include "Rand.h"

double rand(double const& a, double const& b){
	return ( (double)rand()/(double)RAND_MAX * (b-a) + a );
}

Vect randVect(double nb, size_t dim){
	Vect result(dim);
	for(size_t i=0;i<dim;i++){
			result.set(i,rand(-nb,nb));
	}
	return result;
}

string toString(double x){
	std::ostringstream strs;
	strs << x;
	return strs.str();
}
