#ifndef PRJ_SPRING_H
#define PRJ_SPRING_H

#include "Disp.h"
#include "Force.h"
#include "System.h"

class System;

class Spring:virtual public Disp, public Force{
protected:
		Obj* obj1;
		Obj* obj2;
		double k1;//force elastique
		double l0;//taille du ressort
		Vect attache1;
		Vect attache2;
public:
		bool amorti;
		void setObj1(Obj&);
		void setObj2(Obj&);
		void setk1(double const& k1);
		void setL0(double const& newl0);
				virtual void force();
		void disp(vector<bool> options=vector<bool>(10,false));
		ostream& cdisp(ostream&);

				//CONSTR---
				Spring(Obj& obj1, Obj& obj2,double const& k,double const& l,Vect const& attache1=Vect(3),Vect const& attache2=Vect(3));
};

class SpringBreak:public Spring{
		protected:
				System* parent;
				double fmax;
		public:
				virtual void force();
				void breakMe();
		Spring::disp;
		Spring::cdisp;
				//CONSTR---
				SpringBreak(System& parent,Obj& obj1, Obj& obj2,double const& k,double const& l,double const& fmax);
};

class SpringDeform:public SpringBreak{
		private:
				double l1;
				double k2;
				double distMem;//memoire distance pour eloignement

		public:
		Spring::disp;
		Spring::cdisp;
				virtual void force();

				//CONSTR---
				SpringDeform(System& parent,Obj& obj1, Obj& obj2,double const& k1,double const& k2,double const& l1,double const& l2,double const& fmax);

};






#endif //PRJ_SPRING_H
