#include <stdio.h>
#include <iostream>
#include <fstream>
#include <string.h>
#include <sstream>
#include <cmath>

using namespace std;


string toString(double x){
	std::ostringstream strs;
	strs << x;
	return strs.str();
}

//probleme : 61

//part11 44100
//part14 44100
//part17 44100


char SS(string s,char o,char r,char p, int t){
	char c=s[((t>>r)%p)] ;
	return c==32?0:31&(int)(t*pow(2,c/12-o));
};

int main(int argc, char *argv[]) {

char wavheader[0x2C] = {
	0x52, 0x49, 0x46, 0x46, 0x1C, 0x30, 0x14, 0x00,
	0x57, 0x41, 0x56, 0x45, 0x66, 0x6D, 0x74, 0x20,
	0x10, 0x00, 0x00, 0x00, 0x01, 0x00, 0x01, 0x00,
	0x40, 0x1F, 0x00, 0x00, 0x44, 0xAC, 0x00, 0x00,  // 0xD0, 0x07,
	0x01, 0x00, 0x08, 0x00, 0x64, 0x61, 0x74, 0x61,
	0xF8, 0x2F, 0x14, 0x00 };

char wavheader44100[0x2C] = {
	0x52, 0x49, 0x46, 0x46, 0x1C, 0x30, 0x14, 0x00,
	0x57, 0x41, 0x56, 0x45, 0x66, 0x6D, 0x74, 0x20,
	0x10, 0x00, 0x00, 0x00, 0x01, 0x00, 0x01, 0x00,
	0x44, 0xAC, 0x00, 0x00, 0x44, 0xAC, 0x00, 0x00,  // 0xD0, 0x07,
	0x01, 0x00, 0x08, 0x00, 0x64, 0x61, 0x74, 0x61,
	0xF8, 0x2F, 0x14, 0x00 };




	int t;

	if(argc==1){
		cout<<"\n==========================================================================================================";
		cout<<"\n========= on an idea by viznut ===========================================================================";
		cout<<"\n==========================================================================================================";
		cout<<"\n=====                                                          _|                                    =====";
		cout<<"\n=====                      _|_|_|  _|_|    _|    _|    _|_|_|        _|_|_|                          =====";
		cout<<"\n=====                      _|    _|    _|  _|    _|  _|_|      _|  _|                                =====";
		cout<<"\n=====                      _|    _|    _|  _|    _|      _|_|  _|  _|                                =====";
		cout<<"\n=====                      _|    _|    _|    _|_|_|  _|_|_|    _|    _|_|_|                          =====";
		cout<<"\n=====                                                                                                =====";
		cout<<"\n=====                                                                                                =====";
		cout<<"\n=====                                                                                                =====";
		cout<<"\n=====                                                                                                =====";
		cout<<"\n=====        _|_|_|                                                      _|                          =====";
		cout<<"\n=====      _|          _|_|    _|_|_|      _|_|    _|  _|_|    _|_|_|  _|_|_|_|    _|_|    _|  _|_|  =====";
		cout<<"\n=====      _|  _|_|  _|_|_|_|  _|    _|  _|_|_|_|  _|_|      _|    _|    _|      _|    _|  _|_|      =====";
		cout<<"\n=====      _|    _|  _|        _|    _|  _|        _|        _|    _|    _|      _|    _|  _|        =====";
		cout<<"\n=====        _|_|_|    _|_|_|  _|    _|    _|_|_|  _|          _|_|_|      _|_|    _|_|    _|        =====";
		cout<<"\n=====                                                                                                =====";
		cout<<"\n==========================================================================================================";
		cout<<"\n========================================================================== by Laurent & Valerian =========";
		cout<<"\n==========================================================================================================";
		cout<<endl;
		cout<<  "Ce generateur a ete ecrit pour le projet d'informatique 2011-2012"<<endl;
		cout<<  "Ce programme génère des musiques composees par"<<endl;
		cout<<  "    * Valerian Sheurer (section math)"<<endl;
		cout<<  "    * Laurent Rohbasser (section physique)"<<endl;
		cout<<  "    * Alexandre Lachat (section physique)"<<endl;
		cout<<  "    * Viznut (internet)"<<endl;
		cout<<  "    * autres personnes du web"<<endl;
		cout<<  "une piste est choisie au hasard au début de l'execution du programme principale du projet, a savoir :"<<endl;
		cout<<  "[╯°□°]╯︵┻━┻"<<endl;
		cout<<  "il est possible d'ecouter les pistes individuellement avec un lecteur audio en ouvrant un des fichiers"<<endl;
		cout<<  "part*.wav (remplacer * par un nombre), ou alors en tapant dans le teminal \"./Play part*.wav 1\""<<endl;
		cout<<  "(ne taper que \"./Play part*.wav\" pour les pistes 11, 14 et 17)"<<endl;

		string var;
		cout<<endl<<"Voulez vous commencer la generation ? (necessaire une fois au minimum) (Y/N)"<<endl;
		cin>>var;

		if( var[0]=='Y' || var[0]=='y' ){
			cout<<"generating..."<<endl;

			int lineCount=0;
			for(int i=1;i<=70;i++){
				lineCount++;
				cout<<"part"+toString(i)+"..."<<flush;
				string instr="./unpack part"+toString(i)+" > part"+toString(i)+".wav";
				system(instr.c_str());
				cout<<"DONE     "<<flush;
				if(lineCount==6){cout<<endl;lineCount=0;}
			}

	}



		/*for(unsigned int i=0;i< 262144;i++){
			t++;
			putchar( (t*(t>>5|t>>8))>>(t>>16) );
		}*/
	}
	//--------------------------------------------
	else {
		int x;
		t=0;
		int y;
		int s;
		int o;
		int r;
		int p;

		if(strcmp(argv[1],"part11") == 0 || strcmp(argv[1],"part14") == 0 || strcmp(argv[1],"part17") == 0 || strcmp(argv[1],"part70") == 0 ) for ( t=0; t<0x2C; t++ ) putchar( wavheader44100[t] );
		else for ( t=0; t<0x2C; t++ ) putchar( wavheader[t] );


		if(strcmp(argv[1],"part1") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar( (t*(t>>5|t>>8))>>(t>>16) );
		}

		if(strcmp(argv[1],"part2") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar(0*(t%2000>1?0:0*(x<1?x=t:x=x) + 0*(x =(x<<1)^(x|x>>1))) + t*(x>>(t>>9&14)&15)|t>>x);
		}

		if(strcmp(argv[1],"part3") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar(t*(t>>((t>>9)|(t>>8))&(63&(t>>4))));
		}

		if(strcmp(argv[1],"part4") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar(t*(t>>8*((t>>15)|(t>>8))&(20|(t>>19)*5>>t|(t>>3))));
		}

		if(strcmp(argv[1],"part5") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar((-t&4095)*(255&t*(t&(t>>13))>>12)+(127&t*(234&t>>8&t>>3)>>(3&t>>14)));
		}

		if(strcmp(argv[1],"part6") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar((t>>6|t|t>>(t>>16))*10+((t>>11)&7));
		}
		
		if(strcmp(argv[1],"part7") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar((t|(t>>9|t>>7))*t&(t>>11|t>>9));
		}

		if(strcmp(argv[1],"part8") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar(t*(13&t>>10<<(t&13)) | (t)*(13&t>>10) & t*(t/8000));
		}

		if(strcmp(argv[1],"part9") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar(((t*(t>>8|t>>9)&46&t>>8))^(t&t>>13|t>>6) );
		}

		if(strcmp(argv[1],"part10") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar((int)(t/1e7*t*t+t)%127|t>>4|t>>5|t%127+(t>>16)|t);
		}
//************************************************************************************
		if(strcmp(argv[1],"part11") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar(((t/2*(15&(0x234568a0>>(t>>8&28))))|t/2>>(t>>11)^t>>12)+(t/16&t&24));
		}
//************************************************************************************
		if(strcmp(argv[1],"part12") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar((t&t%255)-(t*3&t>>13&t>>6));
		}

		if(strcmp(argv[1],"part13") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			if((t>>7-(t>>15)&-t>>7-(t>>15))!=0)putchar(t>>4|t&((t>>5) / (t>>7-(t>>15)&-t>>7-(t>>15))));
			else putchar(t>>4);//|t&((t>>5) / (t>>7-(t>>15)&-t>>7-(t>>15))));
		}
//************************************************************************************
		if(strcmp(argv[1],"part14") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar(((t*("36364689"[t>>13&7]&15))/12&128)+(((((t>>12)^(t>>12)-2)%11*t)/4|t>>13)&127));
		}
//************************************************************************************
		if(strcmp(argv[1],"part15") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar((t*9&t>>4|t*5&t>>7|t*3&t/1024)-1);
		}

		if(strcmp(argv[1],"part16") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar( t*(t^t+(t>>15|1)^(t-1280^t)>>10));
		}
//************************************************************************************
		if(strcmp(argv[1],"part17") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar(
				( (int)(3e3/(y=t&16383))&1)*35
				+(x=t*"6689"[t>>16&3]/24&127)*y/4e4
				+((t>>8^t>>10|t>>14|x)&63));
		}
//************************************************************************************
		if(strcmp(argv[1],"part18") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar((t*t/256)&(t>>((t/1024)%16))^t%64*(0xC0D3DE4D69>>(t>>9&30)&t%32)*t>>18);
		}

		if(strcmp(argv[1],"part19") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			//putchar(
			//	(t<<3)*
			//	[8/9,1,9/8,6/5,4/3,3/2,0]
			//	[[0xd2d2c8,0xce4088,0xca32c8,0x8e4009]
			//		[t>>14&3]>>(0x3dbe4688>>
			//			((t>>10&15)>9?
			//				18:
			//				t>>10&15)*3&7)*3&7]
			//);
		}

		if(strcmp(argv[1],"part20") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar(((t&4096)?((t*(t^t%255)|(t>>4))>>1):(t>>3)|((t&8192)?t<<2:t))|  t*(((t>>9)^((t>>9)-1)^1)%13));
		}

		if(strcmp(argv[1],"part21") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar((t*t/256)&(t>>((t/1024)%16))^t%64*(0xC0D3DE4D69>>(t>>9&30)&t%32)*t>>18);
		}

		if(strcmp(argv[1],"part22") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			if((t>>16) != 0)	putchar((t>>5)|(t>>4)|((t%42)*(t>>4)|(0x15483113)-(t>>4))/(t>>16)^(t|(t>>4)));
			else putchar((t>>5)|(t>>4));
		}

		if(strcmp(argv[1],"part23") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar((-t&4095)*(255&t*(t&(t>>13))>>12)+(127&t*(234&t>>8&t>>3)>>(3&t>>14)));
		}

		if(strcmp(argv[1],"part24") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar(t>>6^t&37|t+(t^t>>11)-t*((t%24?2:6)&t>>11)^t<<1&(t&598?t>>4:t>>10) );
		}

		if(strcmp(argv[1],"part25") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar(t>>16|((t>>4)%16)|((t>>4)%192)|(t*t%64)|(t*t%96)|(t>>16)*(t|t>>5));
		}

		if(strcmp(argv[1],"part26") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar(t*(t>>((t&4096)?((t*t)/4096):(t/4096)))|(t<<(t/256))|(t>>4));
		}

		if(strcmp(argv[1],"part27") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar((((((t*((t>>9|t>>13)&15))&255/15)*9)%(1<<7))<<2)%6<<4);
		}

		if(strcmp(argv[1],"part28") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar( ((t&((t>>5)))+(t|((t>>7))))&(t>>6)|(t>>5)&(t*(t>>7)));
		}

		if(strcmp(argv[1],"part29") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar(t*((t>>9|t>>13)&25&t>>6));
		}

		if(strcmp(argv[1],"part30") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar(t*(13&t>>10<<(t&13)) | (t)*(13&t>>10) & t*(t/8000));
		}

		if(strcmp(argv[1],"part31") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar(0*(t%2000>1?0:0*(x<1?x=t:x=x) + 0*(x =(x<<1)^(x|x>>1))) + t*(x>>(t>>9&14)&15)|t>>x);
		}

		if(strcmp(argv[1],"part32") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar(0*(t%2000>1?0:0*(x<1?x=t:x=x) + 0*(x =(x<<1)^(x|x>>1))) + t*((x&t>>10)%14));
		}

		if(strcmp(argv[1],"part33") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar(((t%8000>2000)?((t%8000>4000)?((t%8000>6000)?t*t*t*t/1000000:(t*(11&t>>10)*(12&t>>10))):t*t/100):t*(12&t>>10)));
		}

		if(strcmp(argv[1],"part34") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar(((t%8000>2000)?((t%8000>4000)?((t%8000>6000*cos(t)*t)?(t*(11&t>>10)*(12&t>>10)):t*(12&t>>10)):t*t/100):t*t*t*t/1000000)*t*(10&t>>9));
		}

		if(strcmp(argv[1],"part35") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar(t*( ((t/50)&(80-t/50))%80 ));
		}

		if(strcmp(argv[1],"part36") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar((t>>5) | (sin(t*t/64000000)>0?8:7)*(t>>1)  | (t>>10)*(t>>11)*3);
		}

		if(strcmp(argv[1],"part37") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar(((t%8000>2000)?((t%8000>4000)?((t%8000>6000)?t*t*t*t/1000000:t*t*t/10000):t*t/100):t));
		}

		if(strcmp(argv[1],"part38") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar((t%8000>2000)?((t%8000>4000)?((t%8000>6000)?(4*t|(t/200)):(3*t|(t/200))):(2*t|(t/200))):(t|(t/200)));
		}

		if(strcmp(argv[1],"part39") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar((t&10)*(((t/42)&(80-t/42))%80) + (t|10)*(((t/58)&(80-t/58))%80));
		}

		if(strcmp(argv[1],"part40") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar((t&(20*((t/20000))))*(((t/42)|(80-t/42))%80));
		}

		if(strcmp(argv[1],"part41") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar((t&(20*((t/200000 + 1))))*(((t/58)>>(80-t/58))%80));
		}

		if(strcmp(argv[1],"part42") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar((t&(20*((t/2000))))*(((t/80)|((80-t)/80))%80));
		}

		if(strcmp(argv[1],"part43") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar((t&(t*((t/3000))))&(((t/80)|((80-t)/80))%80));
		}

		if(strcmp(argv[1],"part44") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar(t*(7&t>>10) + t*(3&t>>10) + t*(t&t>>10) + t*(2&t>>10));
		}

		if(strcmp(argv[1],"part45") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar(t*(-11&t>>10|13&t>>10));
		}

		if(strcmp(argv[1],"part46") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar(t*(-11&t>>10|13&t>>10)*sin(10&t>>10));
		}

		if(strcmp(argv[1],"part47") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar(t*(-11&t>>10|13&t>>10)*cos(10&t>>10));
		}

		if(strcmp(argv[1],"part48") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar((int)(t*tan(t/40000) )| (int)(t/tan(t/40000)));
		}

		if(strcmp(argv[1],"part49") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar(t*(t*(t/40000)>>10));
		}

		if(strcmp(argv[1],"part50") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar((sin(t)+sin(t/2)+sin(t/3))*(((t/50)&(80-t/50))%80));
		}

		if(strcmp(argv[1],"part51") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar((t*(42&t>>10))*(((t/42)&(80-t/42))%80));
		}

		if(strcmp(argv[1],"part52") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar((t^(t%335)&t)*(t>>10));
		}

		if(strcmp(argv[1],"part53") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar(((t^(t%513)&t)*(t>>10)) | (t*(t>>7)%256&(t>>3)));
		}

		if(strcmp(argv[1],"part54") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar( t*(t>>14)%128&(t>>4) | t*(t>>7)%(128)&(t>>4) );
		}

		if(strcmp(argv[1],"part55") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar( t*(t>>7)%128&(t>>4) | t*(t>>14));
		}

		if(strcmp(argv[1],"part56") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar((t>>5) | 8*(t>>1) | (t>>10));
		}

		if(strcmp(argv[1],"part57") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar((t>>5) | 8*(t>>1) | (t>>9));
		}

		if(strcmp(argv[1],"part58") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			if((256-t/10000)!=0)putchar(t^(t%(256-t/10000)));
			else putchar(t^(0));
		}

		if(strcmp(argv[1],"part59") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			if((256-t/1000)!=0)putchar(t^(t%(256-t/1000)));
			else putchar(t^(0));
		}

		if(strcmp(argv[1],"part60") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar(t*(-11&t>>10|13&t>>10)*sin(10&t));
		}
		
		//BUGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGG
		if(strcmp(argv[1],"part61") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar(SS("0 0     7 7     037:<<",6,10,32,t) + (t&4096?SS("037",4,8,3,t)*(4096-(t&4095))>>12 : 0));
		}


		int w,k,m,a,h,d;
		if(strcmp(argv[1],"part62") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			/*putchar(
				w=t>>9,
				k=32,
				m=2048,
				a=1-t/m%1,
				d=(14*t*t^t)%m*a,
				y=[3,3,4.7,2][p=w/k&3]*t/4,
				h="IQNNNN!!]]!Q!IW]WQNN??!!W]WQNNN?".charCodeAt(w/2&15|p/3<<4)/33*t-t,
				s=y*.98%80+y%80+(w>>7&&a*((5*t%m*a&128)*(0x53232323>>w/4&1)+(d&127)*(0xa444c444>>w/4&1)*1.5+(d*w&1)+(h%k+h*1.99%k+h*.49%k+h*.97%k-64)*(4-a-a))),
				s*s>>14?127:s)
				;*/
		}


		if(strcmp(argv[1],"part63") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar(t*(91&t>>10));
		}
//=================================================SHORTER=== 2097152
		if(strcmp(argv[1],"part64") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar((t&42)*(t>>10));
		}
		
		if(strcmp(argv[1],"part65") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar((t*5&(t>>7)|t*3&(t*3>>10)));
		}

		if(strcmp(argv[1],"part66") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar((t*5&(t>>7) | t*3&(t*4>>10) | t*3&(t*5>>7) )%(256));
		}

		if(strcmp(argv[1],"part67") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar((t*5&(t>>7) | t*3&(t*3>>10) | t*3&(t*5>>7)));
		}

		if(strcmp(argv[1],"part68") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar(t*5&(t>>7)|t*3&(t*4>>10));
		}

		if(strcmp(argv[1],"part69") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar(((t&4096)?((t*(t^t%255)|(t>>4))>>1):(t>>3)|((t&8192)?t<<2:t))   &   t*(((t>>9)^((t>>9)-1)^1)%13));
		}

		if(strcmp(argv[1],"part70") == 0)
		for(unsigned int i=0;i< 33554432;i++){
			t++;
			putchar(((t>>4)*(13&(0x8898a989>>(t>>11&30)))&255)+((((t>>9|(t>>2)|t>>8)*10+4*((t>>2)&t>>15|t>>8))&255)>>1));
		}

			 


	}
	return 0;
}
