#ifndef PRJ_FORCEOBJ_H
#define PRJ_FORCEOBJ_H

#include "Obj.h"
#include "Force.h"

//CHARG
class ObjC:virtual public Obj, public Force{//! PENSER A VIDER CHARGE ET ELEC FIELD A CHAQUE BOUCLE
    protected:
        vector<ObjC*>* tabCharg;
        double c;//charge electrique
        Vect elecField;
        Vect magnetField;
    public:
        void setC(double const& charge);
        double getC() const;
        ObjC(vector<ObjC*> & tabCharg, Vect const& x,double const& mass, double const& charg,
              Vect const& dx=Vect(3), Vect const& ang=Vect(3), Vect const& mcin=Vect(3));//!!!!!!
        virtual void force();
        virtual void update();//!!!

};


//GRAV
class ObjG:virtual public Obj, public Force{
    protected:
        vector<Obj*>* tabGrav;
    public:
        ObjG(vector<Obj*> & tabObj,Vect const& x,double const& mass, Vect const& dx=Vect(3), Vect const& ang=Vect(3), Vect const& mcin=Vect(3));//!!!!!!!!
        virtual void force();
};


//GRAV+CHARG
class ObjCG:public ObjC, public ObjG{
    public:
        ObjCG(vector<Obj*> & tabObj,vector<ObjC*> & tabC, Vect const& x,double const& mass, double const& charg,
              Vect const& dx=Vect(3), Vect const& ang=Vect(3), Vect const& mcin=Vect(3));
        virtual void force();
        ObjC::update;
};





#endif //PRJ_FORCEOBJ_H
